diff -pruN 6.0.0-1/.gitignore 6.3.0-1/.gitignore
--- 6.0.0-1/.gitignore	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/.gitignore	2024-05-31 13:29:31.000000000 +0000
@@ -17,6 +17,7 @@ Makefile
 avail
 random_seed
 /build*/
+/.vscode/
 CMakeLists.txt.user*
 *.unc-backup*
 .cmake/
diff -pruN 6.0.0-1/CMakeLists.txt 6.3.0-1/CMakeLists.txt
--- 6.0.0-1/CMakeLists.txt	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/CMakeLists.txt	2024-05-31 13:29:31.000000000 +0000
@@ -1,26 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.0.0") # handled by release scripts
-set(KF_DEP_VERSION "6.0.0") # handled by release scripts
+set(KF_VERSION "6.3.0") # handled by release scripts
+set(KF_DEP_VERSION "6.3.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})
 
 set(REQUIRED_QT_VERSION 6.5.0)
 
-################# Disallow in-source build #################
-
-if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
-   message(FATAL_ERROR "qqc2-desktop-style requires an out of source build. Please create a separate build directory and run 'cmake path_to_qqc2-desktop-style [options]' there.")
-endif()
-
-
-# Make CPack available to easy generate binary packages
-include(CPack)
-include(FeatureSummary)
-
-################# set KDE specific information #################
-
-find_package(ECM 6.0.0 REQUIRED NO_MODULE)
+find_package(ECM 6.3.0 REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -29,7 +16,8 @@ include(KDEInstallDirs)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMQmlModule)
-include(ECMQMLModules)
+include(ECMPoQmTools)
+include(ECMFindQmlModule)
 include(KDECMakeSettings)
 include(KDEGitCommitHooks)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
@@ -91,7 +79,6 @@ ecm_setup_version(PROJECT
 
 ecm_find_qmlmodule(org.kde.sonnet 1.0)
 
-#########################################################################
 ecm_set_disabled_deprecation_versions(
     QT 6.5
     KF 5.102
@@ -103,7 +90,10 @@ if (KF6IconThemes_FOUND AND KF6ColorSche
     add_subdirectory(kirigami-plasmadesktop-integration)
 endif()
 
-ecm_add_qml_module(org_kde_desktop URI "org.kde.desktop" VERSION 1.0 GENERATE_PLUGIN_SOURCE)
+ecm_add_qml_module(org_kde_desktop URI "org.kde.desktop" VERSION 1.0 GENERATE_PLUGIN_SOURCE DEPENDENCIES "org.kde.qqc2desktopstyle.private" "org.kde.desktop.private")
+
+ecm_create_qm_loader(org_kde_desktop_QM_LOADER qqc2desktopstyle_qt)
+target_sources(org_kde_desktop PRIVATE ${org_kde_desktop_QM_LOADER})
 
 file(GLOB _public_qml "org.kde.desktop/*.qml")
 ecm_target_qml_sources(org_kde_desktop
@@ -111,8 +101,13 @@ ecm_target_qml_sources(org_kde_desktop
     SOURCES ${_public_qml}
 )
 
-# Private module goes separately, beacuse a type in qmldir can not be both internal and singleton
-ecm_add_qml_module(org_kde_desktop_private URI "org.kde.desktop.private" VERSION 1.0 GENERATE_PLUGIN_SOURCE)
+# Private module goes separately, because a type can not be both internal and singleton (QTBUG-111545)
+ecm_add_qml_module(org_kde_desktop_private
+    URI "org.kde.desktop.private"
+    VERSION 1.0
+    GENERATE_PLUGIN_SOURCE
+    DEPENDENCIES "org.kde.qqc2desktopstyle.private"
+)
 
 set_source_files_properties(
     org.kde.desktop/private/GlobalSonnetSettings.qml
@@ -132,6 +127,11 @@ ecm_target_qml_sources(org_kde_desktop_p
 ecm_finalize_qml_module(org_kde_desktop         DESTINATION ${KDE_INSTALL_QMLDIR})
 ecm_finalize_qml_module(org_kde_desktop_private DESTINATION ${KDE_INSTALL_QMLDIR})
 
+# See https://bugreports.qt.io/browse/QTBUG-123216
+add_dependencies(org_kde_desktop qqc2desktopstyleplugin org_kde_desktop_private)
+
+ecm_install_po_files_as_qm(poqm)
+
 include(ECMFeatureSummary)
 ecm_feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
diff -pruN 6.0.0-1/Messages.sh 6.3.0-1/Messages.sh
--- 6.0.0-1/Messages.sh	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/Messages.sh	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,2 @@
+#! /usr/bin/env bash
+$EXTRACT_TR_STRINGS `find . -name \*.qml -o -name \*.cpp` -o  $podir/qqc2desktopstyle_qt.pot
diff -pruN 6.0.0-1/debian/changelog 6.3.0-1/debian/changelog
--- 6.0.0-1/debian/changelog	2024-04-30 16:32:38.000000000 +0000
+++ 6.3.0-1/debian/changelog	2024-06-08 17:25:04.000000000 +0000
@@ -1,3 +1,14 @@
+kf6-qqc2-desktop-style (6.3.0-1) experimental; urgency=medium
+
+  [ Patrick Franz ]
+  * New upstream release (6.3.0).
+  * Bump Standards-Version to 4.7.0 (No changes needed).
+  * Update build-deps and deps with the info from cmake.
+  * Disable tests.
+  * New binary package libkf6qqc2desktopstyle-data.
+
+ -- Patrick Franz <deltaone@debian.org>  Sat, 08 Jun 2024 19:25:04 +0200
+
 kf6-qqc2-desktop-style (6.0.0-1) experimental; urgency=medium
 
   [ Patrick Franz ]
diff -pruN 6.0.0-1/debian/control 6.3.0-1/debian/control
--- 6.0.0-1/debian/control	2024-04-30 16:20:48.000000000 +0000
+++ 6.3.0-1/debian/control	2024-06-08 17:24:30.000000000 +0000
@@ -9,14 +9,16 @@ Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.0.0~),
-               libkf6colorscheme-dev (>= 6.0.0~),
-               libkf6config-dev (>= 6.0.0~),
-               libkf6iconthemes-dev (>= 6.0.0~),
-               libkirigami-dev (>= 6.0.0~),
+               extra-cmake-modules (>= 6.3.0~),
+               libkf6colorscheme-dev (>= 6.3.0~),
+               libkf6config-dev (>= 6.3.0~),
+               libkf6iconthemes-dev (>= 6.3.0~),
+               libkirigami-dev (>= 6.3.0~),
                libxkbcommon-dev,
                pkgconf,
+               qml6-module-org-kde-sonnet <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
+               qml6-module-qtquick-window <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -24,12 +26,22 @@ Build-Depends: cmake (>= 3.16~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style.git
 Rules-Requires-Root: no
 
+Package: libkf6qqc2desktopstyle-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Description: Qt Quick Controls 2: Desktop Style - data files
+ Small style written in QML for QtQuickControls2 intended to be used
+ by default in QQC2-based apps when used in the Plasma desktop
+ .
+ This package contains the data files.
+
 Package: libkf6qqc2desktopstyle-dev
 Section: libdevel
 Architecture: any
@@ -44,7 +56,8 @@ Description: Qt Quick Controls 2: Deskto
 
 Package: qml6-module-org-kde-desktop
 Architecture: any
-Depends: qml6-module-org-kde-kirigami,
+Depends: libkf6qqc2desktopstyle-data,
+         qml6-module-org-kde-kirigami,
          qml6-module-org-kde-sonnet,
          qml6-module-qtqml,
          qml6-module-qtqml-models,
diff -pruN 6.0.0-1/debian/libkf6qqc2desktopstyle-data.install 6.3.0-1/debian/libkf6qqc2desktopstyle-data.install
--- 6.0.0-1/debian/libkf6qqc2desktopstyle-data.install	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/debian/libkf6qqc2desktopstyle-data.install	2024-06-08 17:17:34.000000000 +0000
@@ -0,0 +1 @@
+usr/share/locale/*/*/qqc2desktopstyle_qt.qm
diff -pruN 6.0.0-1/debian/rules 6.3.0-1/debian/rules
--- 6.0.0-1/debian/rules	2024-04-30 15:51:10.000000000 +0000
+++ 6.3.0-1/debian/rules	2024-06-08 17:11:48.000000000 +0000
@@ -7,4 +7,4 @@ export DEB_BUILD_MAINT_OPTIONS = hardeni
 	dh $@ --without build_stamp
 
 override_dh_auto_test:
-	xvfb-run -a dbus-run-session dh_auto_test
+	# xvfb-run -a dbus-run-session dh_auto_test # 1 - animationspeedmodifiertest (Failed)
diff -pruN 6.0.0-1/debian/upstream/signing-key.asc 6.3.0-1/debian/upstream/signing-key.asc
--- 6.0.0-1/debian/upstream/signing-key.asc	2024-04-30 15:42:23.000000000 +0000
+++ 6.3.0-1/debian/upstream/signing-key.asc	2024-06-07 22:16:52.000000000 +0000
@@ -80,3 +80,24 @@ RUqSlBSJqC4WqZmkB73i16MljvT0+4v2upmud4JK
 oS4=
 =yOFv
 -----END PGP PUBLIC KEY BLOCK-----
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+
+mDMEZZxtxBYJKwYBBAHaRw8BAQdAm/8PHszWuXJwUEeEwowgbi7fIeUDP/r9X14f
+Azm23ay0JU5pY29sYXMgRmVsbGEgPG5pY29sYXMuZmVsbGFAa2RlLm9yZz6IkwQT
+FgoAOxYhBJCpaKyoRTfMJ7meryyN9Yem1KrBBQJlnG8zAhsDBQsJCAcCAiICBhUK
+CQgLAgQWAgMBAh4HAheAAAoJECyN9Yem1KrBeP4BAIKpXwECsL4VtZtg2h6uUCZg
+e6oALUd6LYH6+DAM2cGzAP9nRCB06lOnWPiz3PccQDeGPGTl4fJXM63rXIKvxI8n
+C7QkTmljb2xhcyBGZWxsYSA8bmljb2xhcy5mZWxsYUBnbXguZGU+iJMEExYKADsW
+IQSQqWisqEU3zCe5nq8sjfWHptSqwQUCZZxtxAIbAwULCQgHAgIiAgYVCgkICwIE
+FgIDAQIeBwIXgAAKCRAsjfWHptSqwb/cAQDdwi3Ujltdb58uFEN9Wxvv2a/PmJJr
+v76mHWmXqia0UwD/fpQfF7W6Iv6tEoqE2VQjMdboRqumV2m9lDyB3OPwtg+4MwRl
+nG3EFgkrBgEEAdpHDwEBB0ABCziM0Ive6TFO3hWrLxpYFCti3xUL7fLLdJqIJYHc
+O4h4BBgWCgAgFiEEkKlorKhFN8wnuZ6vLI31h6bUqsEFAmWcbcQCGyAACgkQLI31
+h6bUqsFXfQD9G8xNZ6QbfOeP/ARYPH7xUcc2U4/kPjoP8+R/MRnshPMBANDv6T3y
+BxoNXQRYK65x7ghXOSZcQyBLfVuSQshzf/oBuDgEZZxtxBIKKwYBBAGXVQEFAQEH
+QAOAXtH8j+F4XstbXodRsjUSLSQx3doS6cssY8XiZWZ5AwEIB4h4BBgWCgAgFiEE
+kKlorKhFN8wnuZ6vLI31h6bUqsEFAmWcbcQCGwwACgkQLI31h6bUqsFomwD/Zy41
+I8jssyuukIKsRefmsvFeeMKEJgFp0WuZQaZnKEIBANbtyBSxCOkD+5GYm1cjG6nr
+yPRSi/2EuYie6axT6ZIN
+=Noyp
+-----END PGP PUBLIC KEY BLOCK-----
diff -pruN 6.0.0-1/kirigami-plasmadesktop-integration/autotests/CMakeLists.txt 6.3.0-1/kirigami-plasmadesktop-integration/autotests/CMakeLists.txt
--- 6.0.0-1/kirigami-plasmadesktop-integration/autotests/CMakeLists.txt	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/kirigami-plasmadesktop-integration/autotests/CMakeLists.txt	2024-05-31 13:29:31.000000000 +0000
@@ -16,3 +16,13 @@ target_link_libraries(animationspeedmodi
 else()
 target_link_libraries(animationspeedmodifiertest KF6::ConfigCore)
 endif()
+
+if (WIN32)
+    return() # Doesn't work in the Windows CI
+endif()
+
+ecm_add_test(
+    TextFieldContextMenuTest.cpp
+    LINK_LIBRARIES Qt::Test Qt::Qml Qt::QuickControls2
+)
+set_tests_properties(TextFieldContextMenuTest PROPERTIES ENVIRONMENT "CMAKE_BINARY_DIR=${CMAKE_BINARY_DIR};CMAKE_SHARED_LIBRARY_SUFFIX=${CMAKE_SHARED_LIBRARY_SUFFIX}")
diff -pruN 6.0.0-1/kirigami-plasmadesktop-integration/autotests/TextFieldContextMenuTest.cpp 6.3.0-1/kirigami-plasmadesktop-integration/autotests/TextFieldContextMenuTest.cpp
--- 6.0.0-1/kirigami-plasmadesktop-integration/autotests/TextFieldContextMenuTest.cpp	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/kirigami-plasmadesktop-integration/autotests/TextFieldContextMenuTest.cpp	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,82 @@
+/*
+    SPDX-FileCopyrightText: 2023 Fushan Wen <qydwhotmail@gmail.com>
+
+    SPDX-License-Identifier: LGPL-2.1-or-later
+*/
+
+#include <QQmlApplicationEngine>
+#include <QQuickItem>
+#include <QQuickItemGrabResult>
+#include <QQuickWindow>
+#include <QSignalSpy>
+#include <QTest>
+
+#include "common.h"
+
+using namespace Qt::StringLiterals;
+
+class TextFieldContextMenuTest : public QObject
+{
+    Q_OBJECT
+
+private Q_SLOTS:
+    void initTestCase();
+    void cleanupTestCase();
+
+    void testBug481293();
+
+private:
+    QImage screenshot();
+    QQmlApplicationEngine engine;
+    QQuickWindow *m_rootWindow = nullptr;
+};
+
+QImage TextFieldContextMenuTest::screenshot()
+{
+    const auto result = m_rootWindow->contentItem()->grabToImage();
+    QSignalSpy resultSpy(result.get(), &QQuickItemGrabResult::ready);
+    if (result->image().isNull()) {
+        Q_ASSERT(resultSpy.wait());
+    }
+    const QImage img = result->image();
+    Q_ASSERT(!img.isNull());
+    return img;
+}
+
+void TextFieldContextMenuTest::initTestCase()
+{
+    Common::initTestCase();
+
+    QSignalSpy objectCreatedSpy(&engine, &QQmlApplicationEngine::objectCreated);
+    engine.load(QFINDTESTDATA(u"TextFieldContextMenuTest.qml"_s));
+    if (objectCreatedSpy.empty()) {
+        QVERIFY(objectCreatedSpy.wait());
+    }
+    QCOMPARE(engine.rootObjects().size(), 1);
+    m_rootWindow = static_cast<QQuickItem *>(engine.rootObjects()[0]->children()[1])->window();
+    QSignalSpy readySpy(m_rootWindow->contentItem(), &QQuickItem::heightChanged);
+    readySpy.wait();
+}
+
+void TextFieldContextMenuTest::cleanupTestCase()
+{
+}
+
+void TextFieldContextMenuTest::testBug481293()
+{
+    // Take the first screenshot without the menu
+    const QImage img1 = screenshot();
+    // Start right click
+    QTest::mousePress(m_rootWindow, Qt::RightButton);
+    QTest::qWait(3000);
+    // Take the second screenshot with the menu
+    const QImage img2 = screenshot();
+    QTest::mouseRelease(m_rootWindow, Qt::RightButton);
+    // Make sure the menu is visible by comparing the two images
+    QCOMPARE(img1.size(), img2.size());
+    QCOMPARE_NE(img1, img2);
+}
+
+QTEST_MAIN(TextFieldContextMenuTest)
+
+#include "TextFieldContextMenuTest.moc"
diff -pruN 6.0.0-1/kirigami-plasmadesktop-integration/autotests/TextFieldContextMenuTest.qml 6.3.0-1/kirigami-plasmadesktop-integration/autotests/TextFieldContextMenuTest.qml
--- 6.0.0-1/kirigami-plasmadesktop-integration/autotests/TextFieldContextMenuTest.qml	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/kirigami-plasmadesktop-integration/autotests/TextFieldContextMenuTest.qml	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,19 @@
+/*
+    SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>
+
+    SPDX-License-Identifier: MIT
+*/
+
+import QtQuick
+import org.kde.kirigami as Kirigami
+
+Window {
+    id: root
+    width: 500
+    height: 300
+    visible: true
+    Kirigami.SelectableLabel {
+        anchors.fill: parent
+        text: "Hello World"
+    }
+}
diff -pruN 6.0.0-1/kirigami-plasmadesktop-integration/autotests/animationspeedmodifiertest.cpp 6.3.0-1/kirigami-plasmadesktop-integration/autotests/animationspeedmodifiertest.cpp
--- 6.0.0-1/kirigami-plasmadesktop-integration/autotests/animationspeedmodifiertest.cpp	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/kirigami-plasmadesktop-integration/autotests/animationspeedmodifiertest.cpp	2024-05-31 13:29:31.000000000 +0000
@@ -5,9 +5,7 @@
 */
 
 #include <QQmlApplicationEngine>
-#include <QQuickStyle>
 #include <QSignalSpy>
-#include <QStandardPaths>
 #include <QTest>
 
 #ifdef Q_OS_UNIX
@@ -19,6 +17,8 @@
 #include <Windows.h>
 #endif
 
+#include "common.h"
+
 using namespace Qt::StringLiterals;
 
 class IntegrationTest : public QObject
@@ -42,20 +42,7 @@ private:
 
 void IntegrationTest::initTestCase()
 {
-    const QString libraryPath = QLatin1String(qgetenv("CMAKE_BINARY_DIR")) + QDir::separator() + "bin"_L1 + QDir::separator() + "org.kde.desktop"_L1
-        + QLatin1String(qgetenv("CMAKE_SHARED_LIBRARY_SUFFIX"));
-    QVERIFY2(QFileInfo::exists(libraryPath), qUtf8Printable(libraryPath));
-    QDir libraryDir = QFileInfo(libraryPath).dir();
-    const QString kirigamiFolder(libraryDir.absolutePath() + QDir::separator() + u"kf6"_s + QDir::separator() + u"kirigami" + QDir::separator()
-                                 + u"platform"_s);
-    QVERIFY2(libraryDir.mkpath(kirigamiFolder), qUtf8Printable(kirigamiFolder));
-    const QString targetFilePath = kirigamiFolder + QDir::separator() + QFileInfo(libraryPath).fileName();
-    QFile(targetFilePath).remove();
-    QVERIFY(QFile(libraryPath).copy(targetFilePath));
-    QCoreApplication::addLibraryPath(QString::fromLatin1(qgetenv("CMAKE_BINARY_DIR")));
-    QQuickStyle::setStyle(u"org.kde.desktop"_s);
-
-    QStandardPaths::setTestModeEnabled(true);
+    Common::initTestCase();
 
     QSignalSpy objectCreatedSpy(&engine, &QQmlApplicationEngine::objectCreated);
     engine.load(QFINDTESTDATA(u"animationspeedmodifiertest.qml"_s));
diff -pruN 6.0.0-1/kirigami-plasmadesktop-integration/autotests/common.h 6.3.0-1/kirigami-plasmadesktop-integration/autotests/common.h
--- 6.0.0-1/kirigami-plasmadesktop-integration/autotests/common.h	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/kirigami-plasmadesktop-integration/autotests/common.h	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,37 @@
+/*
+    SPDX-FileCopyrightText: 2023 Fushan Wen <qydwhotmail@gmail.com>
+
+    SPDX-License-Identifier: LGPL-2.1-or-later
+*/
+
+#pragma once
+
+#include <QQuickStyle>
+#include <QStandardPaths>
+#include <QTest>
+
+using namespace Qt::StringLiterals;
+
+namespace Common
+{
+void initTestCase()
+{
+    QStandardPaths::setTestModeEnabled(true);
+
+    if (qEnvironmentVariableIsSet("KDECI_BUILD")) {
+        const QString libraryPath = QLatin1String(qgetenv("CMAKE_BINARY_DIR")) + QDir::separator() + "bin"_L1 + QDir::separator() + "org.kde.desktop"_L1
+            + QLatin1String(qgetenv("CMAKE_SHARED_LIBRARY_SUFFIX"));
+        QVERIFY2(QFileInfo::exists(libraryPath), qUtf8Printable(libraryPath));
+        QDir libraryDir = QFileInfo(libraryPath).dir();
+        const QString kirigamiFolder(libraryDir.absolutePath() + QDir::separator() + u"kf6"_s + QDir::separator() + u"kirigami" + QDir::separator()
+                                     + u"platform"_s);
+        QVERIFY2(libraryDir.mkpath(kirigamiFolder), qUtf8Printable(kirigamiFolder));
+        const QString targetFilePath = kirigamiFolder + QDir::separator() + QFileInfo(libraryPath).fileName();
+        QFile(targetFilePath).remove();
+        QVERIFY(QFile(libraryPath).copy(targetFilePath));
+        QCoreApplication::addLibraryPath(QString::fromLatin1(qgetenv("CMAKE_BINARY_DIR")));
+    }
+
+    QQuickStyle::setStyle(u"org.kde.desktop"_s);
+}
+}
\ No newline at end of file
diff -pruN 6.0.0-1/kirigami-plasmadesktop-integration/plasmadesktoptheme.cpp 6.3.0-1/kirigami-plasmadesktop-integration/plasmadesktoptheme.cpp
--- 6.0.0-1/kirigami-plasmadesktop-integration/plasmadesktoptheme.cpp	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/kirigami-plasmadesktop-integration/plasmadesktoptheme.cpp	2024-05-31 13:29:31.000000000 +0000
@@ -172,8 +172,12 @@ public:
     QList<PlasmaDesktopTheme *> watchers;
 
 protected:
-    bool eventFilter([[maybe_unused]] QObject *obj, QEvent *event) override
+    bool eventFilter(QObject *obj, QEvent *event) override
     {
+        if (obj != qGuiApp) {
+            return false;
+        }
+
         if (event->type() == QEvent::ApplicationFontChange) {
             notifyWatchersConfigurationChange();
         }
diff -pruN 6.0.0-1/metainfo.yaml 6.3.0-1/metainfo.yaml
--- 6.0.0-1/metainfo.yaml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/metainfo.yaml	2024-05-31 13:29:31.000000000 +0000
@@ -1,5 +1,4 @@
 fancyname: QQC2-Desktop-Style
-maintainer: mart
 description: QtQuickControls 2 style that integrates with the desktop
 tier: 3
 type: functional
diff -pruN 6.0.0-1/org.kde.desktop/BusyIndicator.qml 6.3.0-1/org.kde.desktop/BusyIndicator.qml
--- 6.0.0-1/org.kde.desktop/BusyIndicator.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/BusyIndicator.qml	2024-05-31 13:29:31.000000000 +0000
@@ -47,6 +47,7 @@ T.BusyIndicator {
         visible: control.running || opacityAnimator.running
         opacity: control.running ? 1 : 0
         Behavior on opacity {
+            enabled: Kirigami.Units.shortDuration > 0
             OpacityAnimator {
                 id: opacityAnimator
                 duration: Kirigami.Units.shortDuration
diff -pruN 6.0.0-1/org.kde.desktop/CheckBox.qml 6.3.0-1/org.kde.desktop/CheckBox.qml
--- 6.0.0-1/org.kde.desktop/CheckBox.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/CheckBox.qml	2024-05-31 13:29:31.000000000 +0000
@@ -9,7 +9,6 @@
 
 import QtQuick
 import QtQuick.Templates as T
-import QtQuick.Controls
 import org.kde.kirigami as Kirigami
 import org.kde.desktop.private as Private
 
diff -pruN 6.0.0-1/org.kde.desktop/CheckDelegate.qml 6.3.0-1/org.kde.desktop/CheckDelegate.qml
--- 6.0.0-1/org.kde.desktop/CheckDelegate.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/CheckDelegate.qml	2024-05-31 13:29:31.000000000 +0000
@@ -12,7 +12,6 @@ import QtQuick.Layouts
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 import org.kde.desktop.private as Private
-import org.kde.qqc2desktopstyle.private as StylePrivate
 
 T.CheckDelegate {
     id: controlRoot
diff -pruN 6.0.0-1/org.kde.desktop/ComboBox.qml 6.3.0-1/org.kde.desktop/ComboBox.qml
--- 6.0.0-1/org.kde.desktop/ComboBox.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/ComboBox.qml	2024-05-31 13:29:31.000000000 +0000
@@ -9,7 +9,6 @@
 import QtQuick
 import QtQuick.Window
 import QtQuick.Templates as T
-import QtQuick.Controls as Controls
 import org.kde.kirigami as Kirigami
 import org.kde.desktop.private as Private
 import org.kde.qqc2desktopstyle.private as StylePrivate
@@ -40,7 +39,7 @@ T.ComboBox {
         required property int index
         width: ListView.view.width
         text: model[controlRoot.textRole]
-        highlighted: controlRoot.highlightedIndex == index
+        highlighted: controlRoot.highlightedIndex === index
         property bool separatorVisible: false
         Kirigami.Theme.colorSet: controlRoot.Kirigami.Theme.inherit ? controlRoot.Kirigami.Theme.colorSet : Kirigami.Theme.View
         Kirigami.Theme.inherit: controlRoot.Kirigami.Theme.inherit
@@ -148,19 +147,19 @@ T.ComboBox {
         y: controlRoot.height
         width: controlRoot.width
         implicitHeight: contentItem.implicitHeight
-        topMargin: 6
-        bottomMargin: 6
+        topMargin: Kirigami.Units.mediumSpacing
+        bottomMargin: Kirigami.Units.mediumSpacing
         Kirigami.Theme.colorSet: Kirigami.Theme.View
         Kirigami.Theme.inherit: controlRoot.Kirigami.Theme.inherit
         modal: true
         dim: true
-        closePolicy: Controls.Popup.CloseOnEscape | Controls.Popup.CloseOnPressOutside
+        closePolicy: T.Popup.CloseOnEscape | T.Popup.CloseOnPressOutside
 
         // Forces it to have a transparent dimmer.
         // A dimmer is needed for "click outside" to work reliably in some views
         // but default dimmer would, well, dim the contents in pure QtQuick windows,
         // like ApplicationWindow, which we don't want.
-        Controls.Overlay.modal: Item { }
+        T.Overlay.modal: Item { }
 
         contentItem: ScrollView {
             LayoutMirroring.enabled: controlRoot.mirrored
@@ -168,6 +167,7 @@ T.ComboBox {
 
             background: Rectangle {
                 color: Kirigami.Theme.backgroundColor
+                radius: Kirigami.Units.cornerRadius
             }
             ScrollBar.horizontal.policy: ScrollBar.AlwaysOff
             ListView {
@@ -178,6 +178,7 @@ T.ComboBox {
                 // which is needed to initially resize the popup
                 cacheBuffer: 1
 
+                clip: height < implicitHeight
                 implicitHeight: contentHeight
                 model: controlRoot.delegateModel
                 delegate: controlRoot.delegate
@@ -192,7 +193,7 @@ T.ComboBox {
                 fill: parent
                 margins: -1
             }
-            radius: 2
+            radius: Kirigami.Units.cornerRadius
             color: Kirigami.Theme.backgroundColor
 
             border.color: Kirigami.ColorUtils.linearInterpolation(Kirigami.Theme.backgroundColor, Kirigami.Theme.textColor, Kirigami.Theme.frameContrast)
diff -pruN 6.0.0-1/org.kde.desktop/Container.qml 6.3.0-1/org.kde.desktop/Container.qml
--- 6.0.0-1/org.kde.desktop/Container.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/Container.qml	2024-05-31 13:29:31.000000000 +0000
@@ -8,7 +8,6 @@
 
 import QtQuick
 import QtQuick.Templates as T
-import org.kde.kirigami as Kirigami
 
 T.Container {
     id: control
diff -pruN 6.0.0-1/org.kde.desktop/Control.qml 6.3.0-1/org.kde.desktop/Control.qml
--- 6.0.0-1/org.kde.desktop/Control.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/Control.qml	2024-05-31 13:29:31.000000000 +0000
@@ -8,7 +8,6 @@
 
 import QtQuick
 import QtQuick.Templates as T
-import org.kde.kirigami as Kirigami
 import org.kde.qqc2desktopstyle.private as StylePrivate
 
 T.Control {
diff -pruN 6.0.0-1/org.kde.desktop/Dial.qml 6.3.0-1/org.kde.desktop/Dial.qml
--- 6.0.0-1/org.kde.desktop/Dial.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/Dial.qml	2024-05-31 13:29:31.000000000 +0000
@@ -7,9 +7,7 @@
 
 
 import QtQuick
-import QtQuick.Controls
 import QtQuick.Templates as T
-import org.kde.kirigami as Kirigami
 import org.kde.qqc2desktopstyle.private as StylePrivate
 
 T.Dial {
diff -pruN 6.0.0-1/org.kde.desktop/Dialog.qml 6.3.0-1/org.kde.desktop/Dialog.qml
--- 6.0.0-1/org.kde.desktop/Dialog.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/Dialog.qml	2024-05-31 13:29:31.000000000 +0000
@@ -33,6 +33,7 @@ T.Dialog {
 
         // the opacity of the item is changed internally by QQuickPopup on open/close
         Behavior on opacity {
+            enabled: Kirigami.Units.longDuration > 0
             OpacityAnimator {
                 duration: Kirigami.Units.longDuration
                 easing.type: Easing.InOutQuad
@@ -63,15 +64,22 @@ T.Dialog {
     contentItem: Item {}
 
     background: Kirigami.ShadowedRectangle {
-        radius: 2
+        Kirigami.Theme.colorSet: Kirigami.Theme.View
+        Kirigami.Theme.inherit: false
+
         color: Kirigami.Theme.backgroundColor
-        border.color: Kirigami.ColorUtils.linearInterpolation(Kirigami.Theme.backgroundColor, Kirigami.Theme.textColor, Kirigami.Theme.frameContrast)
-        border.width: 1
+        radius: Kirigami.Units.cornerRadius
+
+        shadow {
+            size: radius * 2
+            color: Qt.rgba(0, 0, 0, 0.3)
+            yOffset: 1
+        }
 
-        shadow.xOffset: 0
-        shadow.yOffset: 4
-        shadow.color: Qt.rgba(0, 0, 0, 0.3)
-        shadow.size: 16
+        border {
+            width: 1
+            color: Kirigami.ColorUtils.linearInterpolation(Kirigami.Theme.backgroundColor, Kirigami.Theme.textColor, Kirigami.Theme.frameContrast);
+        }
     }
 
     header: Kirigami.Heading {
diff -pruN 6.0.0-1/org.kde.desktop/DialogButtonBox.qml 6.3.0-1/org.kde.desktop/DialogButtonBox.qml
--- 6.0.0-1/org.kde.desktop/DialogButtonBox.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/DialogButtonBox.qml	2024-05-31 13:29:31.000000000 +0000
@@ -22,7 +22,7 @@ T.DialogButtonBox {
     contentWidth: (contentItem as ListView)?.contentWidth ?? 0
 
     spacing: Kirigami.Units.mediumSpacing
-    padding: Kirigami.Units.smallSpacing
+    padding: Kirigami.Units.largeSpacing
     alignment: Qt.AlignRight
 
     property Item __style: StylePrivate.StyleItem {
diff -pruN 6.0.0-1/org.kde.desktop/Drawer.qml 6.3.0-1/org.kde.desktop/Drawer.qml
--- 6.0.0-1/org.kde.desktop/Drawer.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/Drawer.qml	2024-05-31 13:29:31.000000000 +0000
@@ -7,7 +7,6 @@
 
 
 import QtQuick
-import QtQuick.Controls
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 
diff -pruN 6.0.0-1/org.kde.desktop/Frame.qml 6.3.0-1/org.kde.desktop/Frame.qml
--- 6.0.0-1/org.kde.desktop/Frame.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/Frame.qml	2024-05-31 13:29:31.000000000 +0000
@@ -7,7 +7,6 @@
 
 
 import QtQuick
-import QtQuick.Controls
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 
diff -pruN 6.0.0-1/org.kde.desktop/GroupBox.qml 6.3.0-1/org.kde.desktop/GroupBox.qml
--- 6.0.0-1/org.kde.desktop/GroupBox.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/GroupBox.qml	2024-05-31 13:29:31.000000000 +0000
@@ -7,7 +7,6 @@
 
 
 import QtQuick
-import QtQuick.Controls
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 
diff -pruN 6.0.0-1/org.kde.desktop/ItemDelegate.qml 6.3.0-1/org.kde.desktop/ItemDelegate.qml
--- 6.0.0-1/org.kde.desktop/ItemDelegate.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/ItemDelegate.qml	2024-05-31 13:29:31.000000000 +0000
@@ -54,6 +54,9 @@ T.ItemDelegate {
         Label {
             id: textLabel
 
+            Layout.alignment: Qt.AlignLeft
+            Layout.fillWidth: true
+
             text: controlRoot.text
             font: controlRoot.font
             color: controlRoot.highlighted || controlRoot.down
@@ -64,8 +67,6 @@ T.ItemDelegate {
             visible: controlRoot.text
             horizontalAlignment: Text.AlignLeft
             verticalAlignment: Text.AlignVCenter
-            Layout.alignment: Qt.AlignLeft
-            Layout.fillWidth: true
         }
     }
 
diff -pruN 6.0.0-1/org.kde.desktop/Label.qml 6.3.0-1/org.kde.desktop/Label.qml
--- 6.0.0-1/org.kde.desktop/Label.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/Label.qml	2024-05-31 13:29:31.000000000 +0000
@@ -9,7 +9,6 @@
 import QtQuick
 import QtQuick.Window
 import QtQuick.Templates as T
-import org.kde.qqc2desktopstyle.private as StylePrivate
 import org.kde.kirigami as Kirigami
 
 T.Label {
diff -pruN 6.0.0-1/org.kde.desktop/Menu.qml 6.3.0-1/org.kde.desktop/Menu.qml
--- 6.0.0-1/org.kde.desktop/Menu.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/Menu.qml	2024-05-31 13:29:31.000000000 +0000
@@ -8,8 +8,6 @@
 
 
 import QtQuick
-import QtQuick.Layouts
-import QtQuick.Controls
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 import org.kde.qqc2desktopstyle.private as StylePrivate
@@ -127,7 +125,7 @@ T.Menu {
     }
 
     background: Kirigami.ShadowedRectangle {
-        radius: 3
+        radius: Kirigami.Units.cornerRadius
         implicitWidth: Kirigami.Units.gridUnit * 8
         color: Kirigami.Theme.backgroundColor
 
diff -pruN 6.0.0-1/org.kde.desktop/MenuBar.qml 6.3.0-1/org.kde.desktop/MenuBar.qml
--- 6.0.0-1/org.kde.desktop/MenuBar.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/MenuBar.qml	2024-05-31 13:29:31.000000000 +0000
@@ -6,7 +6,6 @@
 
 
 import QtQuick
-import QtQuick.Layouts
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 
diff -pruN 6.0.0-1/org.kde.desktop/MenuBarItem.qml 6.3.0-1/org.kde.desktop/MenuBarItem.qml
--- 6.0.0-1/org.kde.desktop/MenuBarItem.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/MenuBarItem.qml	2024-05-31 13:29:31.000000000 +0000
@@ -7,7 +7,6 @@
 
 
 import QtQuick
-import QtQuick.Layouts
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 
@@ -54,6 +53,7 @@ T.MenuBarItem {
         opacity: controlRoot.down || controlRoot.highlighted ? 0.7 : 0
 
         Behavior on opacity {
+            enabled: Kirigami.Units.shortDuration > 0
             NumberAnimation {
                 duration: Kirigami.Units.shortDuration
             }
diff -pruN 6.0.0-1/org.kde.desktop/MenuItem.qml 6.3.0-1/org.kde.desktop/MenuItem.qml
--- 6.0.0-1/org.kde.desktop/MenuItem.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/MenuItem.qml	2024-05-31 13:29:31.000000000 +0000
@@ -123,6 +123,6 @@ T.MenuItem {
         color: Qt.alpha(Kirigami.Theme.focusColor, 0.3)
         border.color: Kirigami.Theme.focusColor
         border.width: 1
-        radius: 3
+        radius: Kirigami.Units.cornerRadius
     }
 }
diff -pruN 6.0.0-1/org.kde.desktop/Page.qml 6.3.0-1/org.kde.desktop/Page.qml
--- 6.0.0-1/org.kde.desktop/Page.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/Page.qml	2024-05-31 13:29:31.000000000 +0000
@@ -6,7 +6,6 @@
 */
 
 import QtQuick
-import QtQuick.Controls
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 import org.kde.qqc2desktopstyle.private as StylePrivate
diff -pruN 6.0.0-1/org.kde.desktop/Pane.qml 6.3.0-1/org.kde.desktop/Pane.qml
--- 6.0.0-1/org.kde.desktop/Pane.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/Pane.qml	2024-05-31 13:29:31.000000000 +0000
@@ -3,7 +3,6 @@
 
 import QtQuick
 import QtQuick.Templates as T
-import QtQuick.Controls
 import org.kde.kirigami as Kirigami
 
 T.Pane {
diff -pruN 6.0.0-1/org.kde.desktop/Popup.qml 6.3.0-1/org.kde.desktop/Popup.qml
--- 6.0.0-1/org.kde.desktop/Popup.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/Popup.qml	2024-05-31 13:29:31.000000000 +0000
@@ -47,7 +47,7 @@ T.Popup {
     contentItem: Item {}
 
     background: Kirigami.ShadowedRectangle {
-        radius: 2
+        radius: Kirigami.Units.cornerRadius
         color: Kirigami.Theme.backgroundColor
 
         border.color: Kirigami.ColorUtils.linearInterpolation(Kirigami.Theme.backgroundColor, Kirigami.Theme.textColor, Kirigami.Theme.frameContrast)
diff -pruN 6.0.0-1/org.kde.desktop/RadioButton.qml 6.3.0-1/org.kde.desktop/RadioButton.qml
--- 6.0.0-1/org.kde.desktop/RadioButton.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/RadioButton.qml	2024-05-31 13:29:31.000000000 +0000
@@ -9,7 +9,6 @@
 
 import QtQuick
 import QtQuick.Templates as T
-import QtQuick.Controls
 import org.kde.kirigami as Kirigami
 import org.kde.desktop.private as Private
 
@@ -57,6 +56,7 @@ T.RadioButton {
     }
 
     contentItem: Label {
+        id: contentLabel
         readonly property int indicatorEffectiveWidth: (
                 controlRoot.indicator
                 && typeof controlRoot.indicator.pixelMetric === "function"
@@ -87,12 +87,12 @@ T.RadioButton {
                 top: parent.top
                 left: parent.left
                 bottom: parent.bottom
-                topMargin: parent.topPadding - 1
-                leftMargin: (controlRoot.mirrored ? parent.rightPadding : parent.leftPadding) - Kirigami.Units.smallSpacing / 2
-                bottomMargin: parent.bottomPadding - 1
+                topMargin: contentLabel.topPadding - 1
+                leftMargin: (controlRoot.mirrored ? contentLabel.rightPadding : contentLabel.leftPadding) - Kirigami.Units.smallSpacing / 2
+                bottomMargin: contentLabel.bottomPadding - 1
             }
 
-            width: parent.paintedWidth + Kirigami.Units.smallSpacing
+            width: contentLabel.paintedWidth + Kirigami.Units.smallSpacing
             visible: control.activeFocus
         }
     }
diff -pruN 6.0.0-1/org.kde.desktop/RadioDelegate.qml 6.3.0-1/org.kde.desktop/RadioDelegate.qml
--- 6.0.0-1/org.kde.desktop/RadioDelegate.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/RadioDelegate.qml	2024-05-31 13:29:31.000000000 +0000
@@ -54,6 +54,9 @@ T.RadioDelegate {
         Label {
             id: textLabel
 
+            Layout.alignment: Qt.AlignLeft
+            Layout.fillWidth: true
+
             text: controlRoot.text
             font: controlRoot.font
             color: (controlRoot.pressed && !controlRoot.checked && !controlRoot.sectionDelegate) ? Kirigami.Theme.highlightedTextColor : Kirigami.Theme.textColor
diff -pruN 6.0.0-1/org.kde.desktop/RangeSlider.qml 6.3.0-1/org.kde.desktop/RangeSlider.qml
--- 6.0.0-1/org.kde.desktop/RangeSlider.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/RangeSlider.qml	2024-05-31 13:29:31.000000000 +0000
@@ -7,7 +7,6 @@
 
 
 import QtQuick
-import QtQuick.Controls
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 
@@ -64,6 +63,8 @@ T.RangeSlider {
     }
 
     background: Rectangle {
+        id: backgroundRectangle
+
         readonly property bool horizontal: control.orientation === Qt.Horizontal
         implicitWidth: horizontal ? 200 : 6
         implicitHeight: horizontal ? 6 : 200
@@ -74,14 +75,14 @@ T.RangeSlider {
         anchors.centerIn: parent
 
         Rectangle {
-            x: parent.horizontal
+            x: backgroundRectangle.horizontal
                 ? (LayoutMirroring.enabled
                    ? parent.width - width - control.first.position * parent.width
                    : control.first.position * parent.width)
                 : 0
-            y: parent.horizontal ? 0 : control.second.visualPosition * parent.height + 6
-            width: parent.horizontal ? control.second.position * parent.width - control.first.position * parent.width - 6 : 6
-            height: parent.horizontal ? 6 : control.second.position * parent.height - control.first.position * parent.height - 6
+            y: backgroundRectangle.horizontal ? 0 : control.second.visualPosition * parent.height + 6
+            width: backgroundRectangle.horizontal ? control.second.position * parent.width - control.first.position * parent.width - 6 : 6
+            height: backgroundRectangle.horizontal ? 6 : control.second.position * parent.height - control.first.position * parent.height - 6
             color: Kirigami.Theme.highlightColor
         }
     }
diff -pruN 6.0.0-1/org.kde.desktop/RoundButton.qml 6.3.0-1/org.kde.desktop/RoundButton.qml
--- 6.0.0-1/org.kde.desktop/RoundButton.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/RoundButton.qml	2024-05-31 13:29:31.000000000 +0000
@@ -8,9 +8,7 @@
 import QtQuick
 import QtQuick.Layouts
 import QtQuick.Templates as T
-import QtQuick.Controls as Controls
 import org.kde.kirigami as Kirigami
-import org.kde.qqc2desktopstyle.private as StylePrivate
 
 T.RoundButton {
     id: controlRoot
@@ -59,7 +57,7 @@ T.RoundButton {
             visible: source.toString().length > 0 && controlRoot.display !== T.AbstractButton.TextOnly
             source: controlRoot.icon ? (controlRoot.icon.name || controlRoot.icon.source) : ""
         }
-        Controls.Label {
+        Label {
             id: labelContent
             Layout.alignment: {
                 if (iconContent.visible && labelContent.visible) {
diff -pruN 6.0.0-1/org.kde.desktop/ScrollBar.qml 6.3.0-1/org.kde.desktop/ScrollBar.qml
--- 6.0.0-1/org.kde.desktop/ScrollBar.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/ScrollBar.qml	2024-05-31 13:29:31.000000000 +0000
@@ -15,8 +15,8 @@ import org.kde.kirigami as Kirigami
 T.ScrollBar {
     id: controlRoot
 
-    implicitWidth: background.implicitWidth
-    implicitHeight: background.implicitHeight
+    implicitWidth: mouseArea.implicitWidth
+    implicitHeight: mouseArea.implicitHeight
 
     hoverEnabled: true
 
@@ -94,7 +94,7 @@ T.ScrollBar {
     background: MouseArea {
         id: mouseArea
         anchors.fill: parent
-        visible: controlRoot.size < 1.0 && interactive
+        visible: controlRoot.size < 1.0 && controlRoot.interactive
         hoverEnabled: true
         acceptedButtons: Qt.LeftButton | Qt.MiddleButton
         onExited: style.activeControl = "groove";
@@ -185,7 +185,8 @@ T.ScrollBar {
                 grooveRect = subControlRect("groove");
             }
 
-            function positionFromMouse(mouse /*MouseEvent*/): real {
+            // TODO Enable type annotation once we depend on Qt 6.7
+            function positionFromMouse(mouse/*: MouseEvent*/): real {
                 return Math.min(1 - controlRoot.size, Math.max(0,
                     (controlRoot.horizontal
                         ? mouse.x / width
@@ -197,7 +198,8 @@ T.ScrollBar {
             // Style hint returns true if it should scroll to click position,
             // and false if it should scroll by one page at a time.
             // This function inverts the behavior if Alt button is pressed.
-            function scrollToClickPosition(mouse /*MouseEvent*/): bool {
+            // TODO Enable type annotation once we depend on Qt 6.7
+            function scrollToClickPosition(mouse/*: MouseEvent*/): bool {
                 let behavior = style.styleHint("scrollToClickPosition");
                 if (mouse.modifiers & Qt.AltModifier) {
                     behavior = !behavior;
diff -pruN 6.0.0-1/org.kde.desktop/ScrollView.qml 6.3.0-1/org.kde.desktop/ScrollView.qml
--- 6.0.0-1/org.kde.desktop/ScrollView.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/ScrollView.qml	2024-05-31 13:29:31.000000000 +0000
@@ -8,7 +8,6 @@
 
 
 import QtQuick
-import QtQuick.Controls
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 import org.kde.qqc2desktopstyle.private as StylePrivate
diff -pruN 6.0.0-1/org.kde.desktop/Slider.qml 6.3.0-1/org.kde.desktop/Slider.qml
--- 6.0.0-1/org.kde.desktop/Slider.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/Slider.qml	2024-05-31 13:29:31.000000000 +0000
@@ -38,7 +38,7 @@ T.Slider {
         minimum: 0
         maximum: 100000
         step: 100000 * (controlRoot.stepSize / (controlRoot.to - controlRoot.from))
-        value: 100000 * position
+        value: 100000 * controlRoot.position
 
         horizontal: controlRoot.orientation === Qt.Horizontal
         enabled: controlRoot.enabled
diff -pruN 6.0.0-1/org.kde.desktop/StackView.qml 6.3.0-1/org.kde.desktop/StackView.qml
--- 6.0.0-1/org.kde.desktop/StackView.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/StackView.qml	2024-05-31 13:29:31.000000000 +0000
@@ -6,7 +6,6 @@
 */
 
 import QtQuick
-import QtQuick.Controls
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 
diff -pruN 6.0.0-1/org.kde.desktop/SwitchDelegate.qml 6.3.0-1/org.kde.desktop/SwitchDelegate.qml
--- 6.0.0-1/org.kde.desktop/SwitchDelegate.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/SwitchDelegate.qml	2024-05-31 13:29:31.000000000 +0000
@@ -53,6 +53,9 @@ T.SwitchDelegate {
         Label {
             id: textLabel
 
+            Layout.alignment: Qt.AlignLeft
+            Layout.fillWidth: true
+
             text: controlRoot.text
             font: controlRoot.font
             color: (controlRoot.pressed && !controlRoot.checked && !controlRoot.sectionDelegate) ? Kirigami.Theme.highlightedTextColor : Kirigami.Theme.textColor
diff -pruN 6.0.0-1/org.kde.desktop/TabButton.qml 6.3.0-1/org.kde.desktop/TabButton.qml
--- 6.0.0-1/org.kde.desktop/TabButton.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/TabButton.qml	2024-05-31 13:29:31.000000000 +0000
@@ -8,9 +8,7 @@
 
 
 import QtQuick
-import QtQml.Models
 //for TabBar.*
-import QtQuick.Controls
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 import org.kde.qqc2desktopstyle.private as StylePrivate
@@ -55,7 +53,7 @@ T.TabButton {
         elementType: "tab"
         paintMargins: 0
 
-        readonly property TabBar tabBar: controlRoot.TabBar.tabBar
+        readonly property T.TabBar tabBar: controlRoot.TabBar.tabBar
 
         property string orientation: controlRoot.TabBar.position === TabBar.Header ? "Top" : "Bottom"
         property string selectedpos: {
diff -pruN 6.0.0-1/org.kde.desktop/TextArea.qml 6.3.0-1/org.kde.desktop/TextArea.qml
--- 6.0.0-1/org.kde.desktop/TextArea.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/TextArea.qml	2024-05-31 13:29:31.000000000 +0000
@@ -7,6 +7,7 @@
     SPDX-License-Identifier: LGPL-3.0-only OR GPL-2.0-or-later
 */
 
+pragma ComponentBehavior: Bound
 
 import QtQml.Models
 import QtQuick
@@ -115,7 +116,13 @@ T.TextArea {
     Private.MobileCursor {
         target: controlRoot
         selectionStartHandle: true
-        readonly property rect rect: target.positionToRectangle(target.selectionStart)
+        readonly property rect rect: {
+            // selectionStart is actually the "physical" start of selection,
+            // not a "logical" one, so we have to find out the real logical
+            // end of selection ourselves.
+            const positionEnd = controlRoot.cursorPosition === controlRoot.selectionStart ? controlRoot.selectionEnd : controlRoot.selectionStart;
+            return controlRoot.positionToRectangle(positionEnd);
+        }
         x: rect.x
         y: rect.y
     }
diff -pruN 6.0.0-1/org.kde.desktop/TextField.qml 6.3.0-1/org.kde.desktop/TextField.qml
--- 6.0.0-1/org.kde.desktop/TextField.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/TextField.qml	2024-05-31 13:29:31.000000000 +0000
@@ -8,7 +8,6 @@
 
 import QtQuick
 import QtQuick.Window
-import QtQuick.Controls as Controls
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 import org.kde.desktop.private as Private
@@ -97,9 +96,15 @@ T.TextField {
     Private.MobileCursor {
         target: controlRoot
         selectionStartHandle: true
-        readonly property rect rect: controlRoot.positionToRectangle(controlRoot.selectionStart)
-        x: rect.x + target.padding
-        y: rect.y + target.padding
+        readonly property rect rect: {
+            // selectionStart is actually the "physical" start of selection,
+            // not a "logical" one, so we have to find out the real logical
+            // end of selection ourselves.
+            const positionEnd = controlRoot.cursorPosition === controlRoot.selectionStart ? controlRoot.selectionEnd : controlRoot.selectionStart;
+            return controlRoot.positionToRectangle(positionEnd);
+        }
+        x: rect.x + controlRoot.leftPadding
+        y: rect.y + controlRoot.topPadding
     }
 
     Text {
diff -pruN 6.0.0-1/org.kde.desktop/ToolButton.qml 6.3.0-1/org.kde.desktop/ToolButton.qml
--- 6.0.0-1/org.kde.desktop/ToolButton.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/ToolButton.qml	2024-05-31 13:29:31.000000000 +0000
@@ -50,6 +50,7 @@ T.ToolButton {
         text: controlRoot.Kirigami.MnemonicData.mnemonicLabel
         hasFocus: controlRoot.visualFocus || (!controlRoot.flat && controlRoot.pressed) || controlRoot.highlighted
         flat: controlRoot.flat
+        font: controlRoot.font
 
         // note: keep in sync with DelayButton
         readonly property int toolButtonStyle: {
diff -pruN 6.0.0-1/org.kde.desktop/ToolSeparator.qml 6.3.0-1/org.kde.desktop/ToolSeparator.qml
--- 6.0.0-1/org.kde.desktop/ToolSeparator.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/ToolSeparator.qml	2024-05-31 13:29:31.000000000 +0000
@@ -19,7 +19,7 @@ T.ToolSeparator {
 
     contentItem: Kirigami.Separator {
         // implicitHeight is the same as ToolBar implicitHeight minus ToolBar padding if not horizontal
-        implicitWidth: !horizontal ? 1 : 40 - (Kirigami.Units.smallSpacing * 2)
-        implicitHeight: horizontal ? 1 : 40 - (Kirigami.Units.smallSpacing * 2)
+        implicitWidth: !controlRoot.horizontal ? 1 : 40 - (Kirigami.Units.smallSpacing * 2)
+        implicitHeight: controlRoot.horizontal ? 1 : 40 - (Kirigami.Units.smallSpacing * 2)
     }
 }
diff -pruN 6.0.0-1/org.kde.desktop/ToolTip.qml 6.3.0-1/org.kde.desktop/ToolTip.qml
--- 6.0.0-1/org.kde.desktop/ToolTip.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/ToolTip.qml	2024-05-31 13:29:31.000000000 +0000
@@ -7,7 +7,6 @@
 
 
 import QtQuick
-import QtQuick.Controls as Controls
 import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 
@@ -72,7 +71,7 @@ T.ToolTip {
         implicitWidth: Math.min(label.maxTextLength, label.contentWidth)
         implicitHeight: label.implicitHeight
 
-        Controls.Label {
+        Label {
             id: label
 
             // This value is basically arbitrary. It just looks nice.
@@ -99,7 +98,7 @@ T.ToolTip {
 
     // TODO: Consider replacing this with a StyleItem
     background: Kirigami.ShadowedRectangle {
-        radius: 3
+        radius: Kirigami.Units.cornerRadius
         color: Kirigami.Theme.backgroundColor
         Kirigami.Theme.colorSet: control.Kirigami.Theme.colorSet
 
@@ -113,6 +112,6 @@ T.ToolTip {
         border.width: 1
         // TODO: Replace this with a frame or separator color role if that becomes a thing.
         // Matches the color used by Breeze::Style::drawPanelTipLabelPrimitive()
-        border.color: Kirigami.ColorUtils.linearInterpolation(background.color, Kirigami.Theme.textColor, Kirigami.Theme.frameContrast)
+        border.color: Kirigami.ColorUtils.linearInterpolation(color, Kirigami.Theme.textColor, Kirigami.Theme.frameContrast)
     }
 }
diff -pruN 6.0.0-1/org.kde.desktop/TreeViewDelegate.qml 6.3.0-1/org.kde.desktop/TreeViewDelegate.qml
--- 6.0.0-1/org.kde.desktop/TreeViewDelegate.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/TreeViewDelegate.qml	2024-05-31 13:29:31.000000000 +0000
@@ -26,21 +26,18 @@ T.TreeViewDelegate {
     rightMargin: Kirigami.Units.smallSpacing
     spacing:  Kirigami.Units.smallSpacing
 
-    topPadding: Kirigami.Units.smallSpacing
-    bottomPadding: Kirigami.Units.smallSpacing
+    leftPadding: !mirrored ? leftMargin + __contentIndent : 0
+    rightPadding: mirrored ? leftMargin + __contentIndent : 0
+    verticalPadding: Kirigami.Units.smallSpacing
 
     Kirigami.Theme.colorSet: highlighted ? Kirigami.Theme.Selection : Kirigami.Theme.View
     Kirigami.Theme.inherit: false
 
-    leftPadding: !mirrored ? leftMargin + __contentIndent : 0
-    rightPadding: mirrored ? leftMargin + __contentIndent : 0
-
     highlighted: controlRoot.selected || controlRoot.current
                || ((controlRoot.treeView.selectionBehavior === TableView.SelectRows
                || controlRoot.treeView.selectionBehavior === TableView.SelectionDisabled)
                && controlRoot.row === controlRoot.treeView.currentRow)
 
-
     icon.width: Kirigami.Units.iconSizes.smallMedium
     icon.height: Kirigami.Units.iconSizes.smallMedium
 
@@ -51,9 +48,29 @@ T.TreeViewDelegate {
     required property int row
     required property int column
     required property var model
-    readonly property var modelIndex: treeView.index(row, column)
     readonly property real __contentIndent: !isTreeNode ? 0 : (depth * indentation) + (indicator ? indicator.width + spacing : 0)
 
+    // TableView does not provide us with a source QModelIndex, so we have to
+    // reconstruct it ourselves, in an (unfortunately) non-observable way.
+    property /*QModelIndex*/var modelIndex: expressionForModelIndex()
+
+    function expressionForModelIndex(): /*QModelIndex*/var {
+        // Note: this is not observable in case of model changes
+        return treeView.index(row, column);
+    }
+
+    function refreshModelIndex(): void {
+        modelIndex = Qt.binding(() => expressionForModelIndex());
+    }
+
+    Component.onCompleted: {
+        refreshModelIndex();
+    }
+
+    TableView.onReused: {
+        refreshModelIndex();
+    }
+
     // The indicator is only visible when the item has children, so  this is only the closest branch indicator (+arrow) - the rest of the branch indicator lines are below
     indicator: StylePrivate.StyleItem {
         readonly property real __indicatorIndent: controlRoot.leftMargin + (controlRoot.depth * controlRoot.indentation)
@@ -92,8 +109,11 @@ T.TreeViewDelegate {
     }
 
     contentItem: RowLayout {
+        LayoutMirroring.enabled: controlRoot.mirrored
+        spacing: controlRoot.spacing
+
         property alias truncated: textLabel.truncated
-        spacing: Kirigami.Units.smallSpacing
+
         Kirigami.Icon {
             Layout.alignment: Qt.AlignVCenter
             visible: controlRoot.icon.name !== "" || controlRoot.icon.source.toString() !== "" || controlRoot.model.decoration !== undefined
@@ -104,6 +124,10 @@ T.TreeViewDelegate {
         }
         Label {
             id: textLabel
+
+            Layout.fillWidth: true
+            Layout.fillHeight: true
+
             text: controlRoot.model.display
             font: controlRoot.font
             color: controlRoot.highlighted || controlRoot.checked || (controlRoot.pressed && !controlRoot.checked)
@@ -113,8 +137,6 @@ T.TreeViewDelegate {
             visible: text !== ""
             horizontalAlignment: Text.AlignLeft
             verticalAlignment: Text.AlignVCenter
-            Layout.alignment: Qt.AlignLeft
-            Layout.fillWidth: true
         }
     }
 }
diff -pruN 6.0.0-1/org.kde.desktop/private/CheckIndicator.qml 6.3.0-1/org.kde.desktop/private/CheckIndicator.qml
--- 6.0.0-1/org.kde.desktop/private/CheckIndicator.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/private/CheckIndicator.qml	2024-05-31 13:29:31.000000000 +0000
@@ -16,24 +16,28 @@ StylePrivate.StyleItem {
     id: styleitem
 
     property bool drawIcon: true
+    Kirigami.Theme.inherit: false
+    Kirigami.Theme.colorSet: Kirigami.Theme.Button
+
+    readonly property T.AbstractButton buttonControl : control as T.AbstractButton
 
     // Fallback heuristic for MenuItem which can mimic either of those.
-    elementType: (control.autoExclusive
-            || (control.action !== null && control.action.T.ActionGroup.group !== null && control.action.T.ActionGroup.group.exclusive)
-            || (control.T.ButtonGroup.group !== null && control.T.ButtonGroup.group.exclusive))
+    elementType: (buttonControl.autoExclusive
+            || (buttonControl.action !== null && buttonControl.action.T.ActionGroup.group !== null && buttonControl.action.T.ActionGroup.group.exclusive)
+            || (buttonControl.T.ButtonGroup.group !== null && buttonControl.T.ButtonGroup.group.exclusive))
         ? "radiobutton" : "checkbox"
 
-    sunken: control.pressed
-    on: control.checked
-    hover: control.hovered
-    enabled: control.enabled
+    sunken: buttonControl.pressed
+    on: buttonControl.checked
+    hover: buttonControl.hovered
+    enabled: buttonControl.enabled
     properties: {
-        "icon": drawIcon && control.display !== T.AbstractButton.TextOnly
-            ? (control.icon.name !== "" ? control.icon.name : control.icon.source) : null,
-        "iconColor": Qt.colorEqual(control.icon.color, "transparent") ? Kirigami.Theme.textColor : control.icon.color,
-        "iconWidth": control.icon.width,
-        "iconHeight": control.icon.height,
+        "icon": drawIcon && buttonControl.display !== T.AbstractButton.TextOnly
+            ? (buttonControl.icon.name !== "" ? buttonControl.icon.name : buttonControl.icon.source) : null,
+        "iconColor": Qt.colorEqual(buttonControl.icon.color, "transparent") ? Kirigami.Theme.textColor : buttonControl.icon.color,
+        "iconWidth": buttonControl.icon.width,
+        "iconHeight": buttonControl.icon.height,
 
-        "partiallyChecked": control.checkState === Qt.PartiallyChecked
+        "partiallyChecked": buttonControl.checkState === Qt.PartiallyChecked
     }
 }
diff -pruN 6.0.0-1/org.kde.desktop/private/DefaultListItemBackground.qml 6.3.0-1/org.kde.desktop/private/DefaultListItemBackground.qml
--- 6.0.0-1/org.kde.desktop/private/DefaultListItemBackground.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/private/DefaultListItemBackground.qml	2024-05-31 13:29:31.000000000 +0000
@@ -34,7 +34,7 @@ Rectangle {
 
     property real horizontalPadding: control.TableView.view ? 0 : Kirigami.Units.smallSpacing
     property real verticalPadding: control.TableView.view ? 0 : Kirigami.Units.smallSpacing
-    property real cornerRadius: control.TableView.view ? 0 : 3
+    property real cornerRadius: control.TableView.view ? 0 : Kirigami.Units.cornerRadius
 
     color: normalColor
 
diff -pruN 6.0.0-1/org.kde.desktop/private/MobileCursor.qml 6.3.0-1/org.kde.desktop/private/MobileCursor.qml
--- 6.0.0-1/org.kde.desktop/private/MobileCursor.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/private/MobileCursor.qml	2024-05-31 13:29:31.000000000 +0000
@@ -4,16 +4,19 @@
     SPDX-License-Identifier: LGPL-2.0-or-later
 */
 
+pragma ComponentBehavior: Bound
+
 import QtQuick
 import org.kde.kirigami as Kirigami
 import org.kde.desktop.private as Private
 
 Item {
     id: root
+
     width: 1 //<-important that this is actually a single device pixel
     height: Kirigami.Units.gridUnit
 
-    property Item target
+    property /*TextInput | TextEdit*/ Item target
 
     property bool selectionStartHandle: false
 
@@ -46,11 +49,12 @@ Item {
             }
             preventStealing: true
             onPositionChanged: mouse => {
+                const target = root.target;
                 var pos = mapToItem(target, mouse.x, mouse.y);
                 pos = target.positionAt(pos.x, pos.y);
 
                 if (target.selectedText.length > 0) {
-                    if (selectionStartHandle) {
+                    if (root.selectionStartHandle) {
                         target.select(Math.min(pos, target.selectionEnd - 1), target.selectionEnd);
                     } else {
                         target.select(target.selectionStart, Math.max(pos, target.selectionStart + 1));
diff -pruN 6.0.0-1/org.kde.desktop/private/MobileTextActionsToolBar.qml 6.3.0-1/org.kde.desktop/private/MobileTextActionsToolBar.qml
--- 6.0.0-1/org.kde.desktop/private/MobileTextActionsToolBar.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/private/MobileTextActionsToolBar.qml	2024-05-31 13:29:31.000000000 +0000
@@ -5,14 +5,24 @@
 */
 
 pragma Singleton
+pragma ComponentBehavior: Bound
 
 import QtQuick
-import org.kde.kirigami as Kirigami // tabletMode
+import org.kde.kirigami as Kirigami
 
 Loader {
-    property Item controlRoot: null
+    property /*TextInput | TextEdit*/ Item controlRoot
     property bool shouldBeVisible: false
 
-    active: controlRoot ? shouldBeVisible && Kirigami.Settings.tabletMode && (controlRoot.selectedText.length > 0 || controlRoot.canPaste) : false
-    source: "MobileTextActionsToolBarImpl.qml"
+    active: controlRoot !== null
+        && shouldBeVisible
+        && Kirigami.Settings.tabletMode
+        && (controlRoot.selectedText.length > 0 || controlRoot.canPaste)
+
+    Component.onCompleted: {
+        // See https://bugreports.qt.io/browse/QTBUG-125071
+        setSource(Qt.resolvedUrl("MobileTextActionsToolBarImpl.qml"), {
+            controlRoot: Qt.binding(() => controlRoot),
+        });
+    }
 }
diff -pruN 6.0.0-1/org.kde.desktop/private/MobileTextActionsToolBarImpl.qml 6.3.0-1/org.kde.desktop/private/MobileTextActionsToolBarImpl.qml
--- 6.0.0-1/org.kde.desktop/private/MobileTextActionsToolBarImpl.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/private/MobileTextActionsToolBarImpl.qml	2024-05-31 13:29:31.000000000 +0000
@@ -4,34 +4,49 @@
     SPDX-License-Identifier: LGPL-2.0-or-later
 */
 
+pragma ComponentBehavior: Bound
+
 import QtQuick
-import QtQuick.Controls as QQC2
 import QtQuick.Layouts
+import QtQuick.Templates as T
+import org.kde.desktop as QQC2
 import org.kde.kirigami as Kirigami
 
 QQC2.Popup {
     id: root
 
+    required property /*TextInput | TextEdit*/ Item controlRoot
+
     Kirigami.OverlayZStacking.layer: Kirigami.OverlayZStacking.Menu
     z: Kirigami.OverlayZStacking.z
 
-    parent: controlRoot.Window.window.contentItem
+    parent: controlRoot?.Window.window?.contentItem ?? null
     modal: false
     focus: false
-    closePolicy: QQC2.Popup.NoAutoClose
+    closePolicy: T.Popup.NoAutoClose
+
+    x: {
+        if (!parent || !controlRoot) {
+            return 0;
+        }
+        const desiredX = controlRoot.mapToItem(parent, controlRoot.positionToRectangle(controlRoot.selectionStart).x, 0).x - width / 2;
+        const maxX = parent.width - width;
 
-    x: !parent ? 0 : Math.min(Math.max(0, controlRoot.mapToItem(root.parent, controlRoot.positionToRectangle(controlRoot.selectionStart).x, 0).x - root.width / 2), root.parent.width - root.width)
+        return Math.min(Math.max(0, desiredX), maxX);
+    }
 
     y: {
-        if (!parent) {
+        if (!parent || !controlRoot) {
             return 0;
         }
-        var desiredY = controlRoot.mapToItem(root.parent, 0, controlRoot.positionToRectangle(controlRoot.selectionStart).y).y  - root.height;
+        const desiredY = controlRoot.mapToItem(parent, 0, controlRoot.positionToRectangle(controlRoot.selectionStart).y).y - height;
+        const maxY = parent.height - height;
 
         if (desiredY >= 0) {
-            return Math.min(desiredY, root.parent.height - root.height);
+            return Math.min(maxY, desiredY);
         } else {
-            return Math.min(Math.max(0, controlRoot.mapToItem(root.parent, 0, controlRoot.positionToRectangle(controlRoot.selectionEnd).y + Math.round(Kirigami.Units.gridUnit*1.5)).y), root.parent.height - root.height);
+            const desiredY = controlRoot.mapToItem(parent, 0, controlRoot.positionToRectangle(controlRoot.selectionEnd).y + Math.round(Kirigami.Units.gridUnit * 1.5)).y;
+            return Math.min(maxY, Math.max(0, desiredY));
         }
     }
 
@@ -41,23 +56,29 @@ QQC2.Popup {
     contentItem: RowLayout {
         QQC2.ToolButton {
             focusPolicy: Qt.NoFocus
-            icon.name: "edit-cut"
-            visible: controlRoot.selectedText.length > 0 && (!controlRoot.hasOwnProperty("echoMode") || controlRoot.echoMode === TextInput.Normal)
+            text: qsTr("Cut")
+            display: T.AbstractButton.IconOnly
+            icon.name: "edit-cut-symbolic"
+            visible: controlRoot.selectedText.length > 0 && (!(controlRoot instanceof TextInput) || controlRoot.echoMode === TextInput.Normal)
             onClicked: {
                 controlRoot.cut();
             }
         }
         QQC2.ToolButton {
             focusPolicy: Qt.NoFocus
-            icon.name: "edit-copy"
-            visible: controlRoot.selectedText.length > 0 && (!controlRoot.hasOwnProperty("echoMode") || controlRoot.echoMode === TextInput.Normal)
+            text: qsTr("Copy")
+            display: T.AbstractButton.IconOnly
+            icon.name: "edit-copy-symbolic"
+            visible: controlRoot.selectedText.length > 0 && (!(controlRoot instanceof TextInput) || controlRoot.echoMode === TextInput.Normal)
             onClicked: {
                 controlRoot.copy();
             }
         }
         QQC2.ToolButton {
             focusPolicy: Qt.NoFocus
-            icon.name: "edit-paste"
+            text: qsTr("Paste")
+            display: T.AbstractButton.IconOnly
+            icon.name: "edit-paste-symbolic"
             visible: controlRoot.canPaste
             onClicked: {
                 controlRoot.paste();
diff -pruN 6.0.0-1/org.kde.desktop/private/SwitchIndicator.qml 6.3.0-1/org.kde.desktop/private/SwitchIndicator.qml
--- 6.0.0-1/org.kde.desktop/private/SwitchIndicator.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/private/SwitchIndicator.qml	2024-05-31 13:29:31.000000000 +0000
@@ -6,6 +6,7 @@
 */
 
 import QtQuick
+import QtQuick.Templates as T
 import org.kde.kirigami as Kirigami
 
 Item {
@@ -14,7 +15,7 @@ Item {
     implicitHeight: Kirigami.Units.gridUnit
     layer.enabled: control.opacity < 1.0
 
-    property Item control
+    property T.AbstractButton control
     property alias handle: handle
 
     Kirigami.Theme.colorSet: Kirigami.Theme.Button
@@ -23,12 +24,12 @@ Item {
     QtObject { // colors collected in one place so that main code remains clean and these properties are not exposed
         id: colorFactory
 
-        readonly property color switchBorderColor: control.checked ? Kirigami.Theme.highlightColor : handleBorderColor
+        readonly property color switchBorderColor: indicator.control.checked ? Kirigami.Theme.highlightColor : handleBorderColor
 
         readonly property color handleColor: Kirigami.Theme.backgroundColor
-        readonly property color handleBorderColor: (control.hovered || control.visualFocus) ? Kirigami.Theme.hoverColor : Kirigami.ColorUtils.linearInterpolation(Kirigami.Theme.backgroundColor, Kirigami.Theme.textColor, Kirigami.Theme.frameContrast)
+        readonly property color handleBorderColor: (indicator.control.hovered || indicator.control.visualFocus) ? Kirigami.Theme.hoverColor : Kirigami.ColorUtils.linearInterpolation(Kirigami.Theme.backgroundColor, Kirigami.Theme.textColor, Kirigami.Theme.frameContrast)
 
-        function blendBackgroundWithTextColorWithRatio(factor) {
+        function blendBackgroundWithTextColorWithRatio(factor: double): color {
             // blending of background color with text color for producing a border color. The usual ratios are 70:30, 80:20 and 75:25. The more the background color, the more the contrast.
             return Qt.tint(Kirigami.Theme.textColor, Qt.alpha(Kirigami.Theme.backgroundColor, factor))
         }
@@ -64,7 +65,7 @@ Item {
     Rectangle {
         id: handle
 
-        x: Math.max(0, Math.min(parent.width - width, control.visualPosition * parent.width - (width / 2)))
+        x: Math.max(0, Math.min(parent.width - width, indicator.control.visualPosition * parent.width - (width / 2)))
 
         anchors {
             top: parent.top
@@ -77,13 +78,14 @@ Item {
         border.color: colorFactory.handleBorderColor
 
         Behavior on x {
-            enabled: !control.pressed
+            enabled: !indicator.control.pressed && Kirigami.Units.shortDuration > 0
             SmoothedAnimation {
                 duration: Kirigami.Units.shortDuration
             }
         }
 
         Behavior on color {
+            enabled: Kirigami.Units.shortDuration > 0
             ColorAnimation {
                 easing.type: Easing.InCubic
                 duration: Kirigami.Units.shortDuration
diff -pruN 6.0.0-1/org.kde.desktop/private/TextFieldContextMenu.qml 6.3.0-1/org.kde.desktop/private/TextFieldContextMenu.qml
--- 6.0.0-1/org.kde.desktop/private/TextFieldContextMenu.qml	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/org.kde.desktop/private/TextFieldContextMenu.qml	2024-05-31 13:29:31.000000000 +0000
@@ -10,7 +10,8 @@ pragma Singleton
 
 import QtQml.Models
 import QtQuick
-import QtQuick.Controls as QQC2
+import QtQuick.Templates as T
+import org.kde.desktop as QQC2
 import org.kde.kirigami as Kirigami
 import org.kde.sonnet as Sonnet
 
@@ -189,7 +190,7 @@ QQC2.Menu {
 
     QQC2.MenuItem {
         visible: root.__showSpellcheckActions() && root.spellcheckSuggestions.length === 0
-        action: QQC2.Action {
+        action: T.Action {
             enabled: false
             text: root.spellcheckHighlighter
                 ? qsTr('No Suggestions for "%1"')
@@ -204,7 +205,7 @@ QQC2.Menu {
 
     QQC2.MenuItem {
         visible: root.__showSpellcheckActions()
-        action: QQC2.Action {
+        action: T.Action {
             text: root.spellcheckHighlighter
                 ? qsTr('Add "%1" to Dictionary')
                     .arg(root.spellcheckHighlighter.wordUnderMouse)
@@ -221,7 +222,7 @@ QQC2.Menu {
 
     QQC2.MenuItem {
         visible: root.__showSpellcheckActions()
-        action: QQC2.Action {
+        action: T.Action {
             text: qsTr("Ignore")
             onTriggered: {
                 root.deselectWhenMenuClosed = false;
@@ -252,7 +253,7 @@ QQC2.Menu {
     }
 
     QQC2.MenuItem {
-        action: QQC2.Action {
+        action: T.Action {
             icon.name: "edit-undo-symbolic"
             text: qsTr("Undo")
             shortcut: StandardKey.Undo
@@ -267,7 +268,7 @@ QQC2.Menu {
         }
     }
     QQC2.MenuItem {
-        action: QQC2.Action {
+        action: T.Action {
             icon.name: "edit-redo-symbolic"
             text: qsTr("Redo")
             shortcut: StandardKey.Redo
@@ -285,7 +286,7 @@ QQC2.Menu {
         visible: root.__showPasswordRestrictedEditingActions()
     }
     QQC2.MenuItem {
-        action: QQC2.Action {
+        action: T.Action {
             icon.name: "edit-cut-symbolic"
             text: qsTr("Cut")
             shortcut: StandardKey.Cut
@@ -300,7 +301,7 @@ QQC2.Menu {
         }
     }
     QQC2.MenuItem {
-        action: QQC2.Action {
+        action: T.Action {
             icon.name: "edit-copy-symbolic"
             text: qsTr("Copy")
             shortcut: StandardKey.Copy
@@ -315,7 +316,7 @@ QQC2.Menu {
         }
     }
     QQC2.MenuItem {
-        action: QQC2.Action {
+        action: T.Action {
             icon.name: "edit-paste-symbolic"
             text: qsTr("Paste")
             shortcut: StandardKey.Paste
@@ -330,7 +331,7 @@ QQC2.Menu {
         }
     }
     QQC2.MenuItem {
-        action: QQC2.Action {
+        action: T.Action {
             icon.name: "edit-delete-symbolic"
             text: qsTr("Delete")
             shortcut: StandardKey.Delete
@@ -349,7 +350,7 @@ QQC2.Menu {
             && (root.__editable() || root.__showPasswordRestrictedActions())
     }
     QQC2.MenuItem {
-        action: QQC2.Action {
+        action: T.Action {
             icon.name: "edit-select-all-symbolic"
             text: qsTr("Select All")
             shortcut: StandardKey.SelectAll
diff -pruN 6.0.0-1/plugin/itembranchindicators.cpp 6.3.0-1/plugin/itembranchindicators.cpp
--- 6.0.0-1/plugin/itembranchindicators.cpp	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/plugin/itembranchindicators.cpp	2024-05-31 13:29:31.000000000 +0000
@@ -16,6 +16,7 @@
 
 ItemBranchIndicators::ItemBranchIndicators(QQuickItem *parent)
     : QQuickPaintedItem(parent)
+    , m_selected(false)
 {
     if (auto theme = static_cast<Kirigami::Platform::PlatformTheme *>(qmlAttachedPropertiesObject<Kirigami::Platform::PlatformTheme>(this, true))) {
         m_palette = theme->palette();
diff -pruN 6.0.0-1/plugin/kquickstyleitem.cpp 6.3.0-1/plugin/kquickstyleitem.cpp
--- 6.0.0-1/plugin/kquickstyleitem.cpp	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/plugin/kquickstyleitem.cpp	2024-05-31 13:29:31.000000000 +0000
@@ -26,6 +26,8 @@
 #include <Kirigami/Platform/PlatformTheme>
 #include <Kirigami/Platform/TabletModeWatcher>
 
+#include <numeric>
+
 std::unique_ptr<QStyle> KQuickStyleItem::s_style = nullptr;
 
 QStyle *KQuickStyleItem::style()
@@ -362,7 +364,7 @@ void KQuickStyleItem::initStyleOption()
             opt->toolButtonStyle = Qt::ToolButtonFollowStyle;
         }
 
-        const QFont font = qApp->font("QToolButton");
+        const QFont font = m_font.isCopyOf(qApp->font()) ? qApp->font("QToolButton") : m_font;
         opt->font = font;
         opt->fontMetrics = QFontMetrics(font);
         break;
@@ -903,12 +905,11 @@ void KQuickStyleItem::resolvePalette()
         return;
     }
 
-    const QVariant controlPalette = m_control ? m_control->property("palette") : QVariant();
-    if (controlPalette.isValid()) {
-        m_styleoption->palette = controlPalette.value<QPalette>();
-    } else {
-        m_styleoption->palette = m_theme->palette();
-    }
+    // In theory here we should conside  m_control->property("palette")
+    // Whether the client code did set a custom palette color, but we can't read and write it
+    // from c++ anymore as is not a QPalette but a wrapper type we don't have access to,
+    // this kind of binding will need to be done on QML side
+    m_styleoption->palette = m_theme->palette();
 }
 
 int KQuickStyleItem::topPadding() const
@@ -1036,13 +1037,8 @@ QString KQuickStyleItem::hitTest(int px,
 
 QRect KQuickStyleItem::computeBoundingRect(const QList<QRect> &rects)
 {
-    QRegion r;
-
-    for (const auto& rect : rects) {
-        r = r.united(rect);
-    }
-
-    return r.boundingRect();
+    const auto region = std::accumulate(rects.begin(), rects.end(), QRegion());
+    return region.boundingRect();
 }
 
 QSize KQuickStyleItem::sizeFromContents(int width, int height)
@@ -1461,6 +1457,22 @@ void KQuickStyleItem::resetHints()
     m_hints.clear();
 }
 
+void KQuickStyleItem::setFont(const QFont &font)
+{
+    if (font == m_font) {
+        return;
+    }
+    m_font = font;
+    updateSizeHint();
+    polish();
+    Q_EMIT fontChanged();
+}
+
+void KQuickStyleItem::resetFont()
+{
+    setFont(qApp->font());
+}
+
 void KQuickStyleItem::setElementType(const QString &str)
 {
     if (m_type == str) {
@@ -1989,6 +2001,8 @@ QSGNode *KQuickStyleItem::updatePaintNod
 void KQuickStyleItem::updatePolish()
 {
     if (isVisible() && width() >= 1 && height() >= 1) { // Note these are reals so 1 pixel is minimum
+        // Need to request the focus reason every time, the signal is not entirely reliable: https://bugreports.qt.io/browse/QTBUG-125725
+        updateFocusReason();
         const qreal devicePixelRatio = window() ? window()->effectiveDevicePixelRatio() : qApp->devicePixelRatio();
         const QSize size = QSize(m_textureWidth > 0 ? m_textureWidth : width(), m_textureHeight > 0 ? m_textureHeight : height()) * devicePixelRatio;
 
diff -pruN 6.0.0-1/plugin/kquickstyleitem_p.h 6.3.0-1/plugin/kquickstyleitem_p.h
--- 6.0.0-1/plugin/kquickstyleitem_p.h	2024-02-21 11:28:25.000000000 +0000
+++ 6.3.0-1/plugin/kquickstyleitem_p.h	2024-05-31 13:29:31.000000000 +0000
@@ -67,7 +67,7 @@ class KQuickStyleItem : public QQuickIte
     Q_PROPERTY(QString styleName READ styleName NOTIFY styleNameChanged)
     Q_PROPERTY(QVariantMap hints READ hints WRITE setHints NOTIFY hintChanged RESET resetHints)
     Q_PROPERTY(QVariantMap properties READ properties WRITE setProperties NOTIFY propertiesChanged)
-    Q_PROPERTY(QFont font READ font NOTIFY fontChanged)
+    Q_PROPERTY(QFont font READ font WRITE setFont RESET resetFont NOTIFY fontChanged)
 
     // For range controls
     Q_PROPERTY(int minimum READ minimum WRITE setMinimum NOTIFY minimumChanged)
@@ -390,7 +390,9 @@ public:
             Q_EMIT propertiesChanged();
         }
     }
+    void setFont(const QFont &font);
     void resetHints();
+    void resetFont();
 
     int contentWidth() const
     {
diff -pruN 6.0.0-1/poqm/ar/qqc2desktopstyle_qt.po 6.3.0-1/poqm/ar/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/ar/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/ar/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,87 @@
+# SPDX-FileCopyrightText: 2024 Zayed Al-Saidi <zayed.alsaidi@gmail.com>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-16 13:45+0400\n"
+"Last-Translator: Zayed Al-Saidi <zayed.alsaidi@gmail.com>\n"
+"Language-Team: ar\n"
+"Language: ar\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=6; plural=n==0 ? 0 : n==1 ? 1 : n==2 ? 2 : n%100>=3 "
+"&& n%100<=10 ? 3 : n%100>=11 ? 4 : 5;\n"
+"X-Generator: Lokalize 23.08.1\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "قصّ"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "انسخ"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "ألصق"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "لا اقتراحات لِـ\"%1\""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "أضف \"%1\" إلى القاموس"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "تجاهل"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "تدقيق الإملاء"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "تراجع"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "كرّر"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "قصّ"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "انسخ"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "ألصق"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "احذف"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "حدّد الكلّ"
diff -pruN 6.0.0-1/poqm/ast/qqc2desktopstyle_qt.po 6.3.0-1/poqm/ast/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/ast/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/ast/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Enol P. <enolp@softastur.org>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-03-27 22:41+0100\n"
+"Last-Translator: Enol P. <enolp@softastur.org>\n"
+"Language-Team: Asturian <alministradores@softastur.org>\n"
+"Language: ast\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+"X-Generator: Lokalize 24.02.1\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr ""
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr ""
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr ""
diff -pruN 6.0.0-1/poqm/ca/qqc2desktopstyle_qt.po 6.3.0-1/poqm/ca/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/ca/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/ca/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,91 @@
+# Translation of qqc2desktopstyle_qt.po to Catalan
+# Copyright (C) 2024 This_file_is_part_of_KDE
+# This file is distributed under the license LGPL version 2.1 or
+# version 3 or later versions approved by the membership of KDE e.V.
+#
+# Josep M. Ferrer <txemaq@gmail.com>, 2024.
+msgid ""
+msgstr ""
+"Project-Id-Version: qqc2-desktop-style\n"
+"PO-Revision-Date: 2024-05-10 12:01+0200\n"
+"Last-Translator: Josep M. Ferrer <txemaq@gmail.com>\n"
+"Language-Team: Catalan <kde-i18n-ca@kde.org>\n"
+"Language: ca\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+"X-Generator: Lokalize 22.12.3\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Retalla"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Copia"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Enganxa"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Sense suggeriments per a «%1»"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Afegeix «%1» al diccionari"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ignora"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Verificació de l'ortografia"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Desfés"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Refés"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Retalla"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Copia"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Enganxa"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Suprimeix"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Selecciona-ho tot"
diff -pruN 6.0.0-1/poqm/ca@valencia/qqc2desktopstyle_qt.po 6.3.0-1/poqm/ca@valencia/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/ca@valencia/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/ca@valencia/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,91 @@
+# Translation of qqc2desktopstyle_qt.po to Catalan (Valencian)
+# Copyright (C) 2024 This_file_is_part_of_KDE
+# This file is distributed under the license LGPL version 2.1 or
+# version 3 or later versions approved by the membership of KDE e.V.
+#
+# Josep M. Ferrer <txemaq@gmail.com>, 2024.
+msgid ""
+msgstr ""
+"Project-Id-Version: qqc2-desktop-style\n"
+"PO-Revision-Date: 2024-05-10 12:01+0200\n"
+"Last-Translator: Josep M. Ferrer <txemaq@gmail.com>\n"
+"Language-Team: Catalan <kde-i18n-ca@kde.org>\n"
+"Language: ca@valencia\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+"X-Generator: Lokalize 22.12.3\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Retalla"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Copia"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Apega"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Sense suggeriments per a «%1»"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Afig «%1» al diccionari"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ignora"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Verificació de l'ortografia"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Desfés"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Refés"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Retalla"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Copia"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Apega"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Suprimix"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Selecciona-ho tot"
diff -pruN 6.0.0-1/poqm/cs/qqc2desktopstyle_qt.po 6.3.0-1/poqm/cs/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/cs/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/cs/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Vit Pelcak <vpelcak@suse.cz>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-17 14:03+0200\n"
+"Last-Translator: Vit Pelcak <vpelcak@suse.cz>\n"
+"Language-Team: Czech <kde-i18n-doc@kde.org>\n"
+"Language: cs\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
+"X-Generator: Lokalize 24.02.2\n"
+"X-Qt-Contexts: true\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Vyjmout"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Kopírovat"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Vložit"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Žádné návrhy pro \"%1\""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Přidat \"%1\" do slovníku"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ignorovat"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Kontrola pravopisu"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Zpět"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Znovu"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Vyjmout"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Kopírovat"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Vložit"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Smazat"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Vybrat vše"
diff -pruN 6.0.0-1/poqm/de/qqc2desktopstyle_qt.po 6.3.0-1/poqm/de/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/de/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/de/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,82 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: qqc2desktopstyle_qt\n"
+"Language-Team: none\n"
+"Language: de\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Qt-Contexts: true\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr ""
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr ""
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr ""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr ""
diff -pruN 6.0.0-1/poqm/en_GB/qqc2desktopstyle_qt.po 6.3.0-1/poqm/en_GB/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/en_GB/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/en_GB/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Steve Allewell <steve.allewell@gmail.com>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-21 19:31+0100\n"
+"Last-Translator: Steve Allewell <steve.allewell@gmail.com>\n"
+"Language-Team: British English\n"
+"Language: en_GB\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+"X-Generator: Lokalize 24.02.2\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Cut"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Copy"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Paste"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "No Suggestions for \"%1\""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Add \"%1\" to Dictionary"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ignore"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Spell Check"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Undo"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Redo"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Cut"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Copy"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Paste"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Delete"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Select All"
diff -pruN 6.0.0-1/poqm/eo/qqc2desktopstyle_qt.po 6.3.0-1/poqm/eo/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/eo/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/eo/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,92 @@
+# translation of qqc2desktopstyle_qt.pot to Esperanto
+# Copyright (C) 2024 Free Software Foundation, Inc.
+# This file is distributed under the same license as the qqc2-desktop-style package.
+# Oliver Kellogg <olivermkellogg@gmail.com>, 2024.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: qqc2-desktop-style\n"
+"Report-Msgid-Bugs-To: https://bugs.kde.org\n"
+"POT-Creation-Date: 2024-03-08 01:40+0100\n"
+"PO-Revision-Date: 2024-05-10 09:14+0100\n"
+"Last-Translator: Oliver Kellogg <olivermkellogg@gmail.com>\n"
+"Language-Team: Esperanto <kde-i18n-eo.org>\n"
+"Language: eo\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"X-Generator: translate-po (https://github.com/zcribe/translate-po)\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Tondi"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Kopii"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Alglui"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Neniuj Sugestoj por \"%1\""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Aldoni \"%1\" an Vortaro"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ignori"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Literumkontrolo"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Malfari"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Refari"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Tondi"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Kopii"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Alglui"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Forigi"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Elekti Ĉion"
diff -pruN 6.0.0-1/poqm/es/qqc2desktopstyle_qt.po 6.3.0-1/poqm/es/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/es/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/es/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Eloy Cuadra <ecuadra@eloihr.net>
+msgid ""
+msgstr ""
+"Project-Id-Version: qqc2desktopstyle_qt\n"
+"PO-Revision-Date: 2024-05-11 00:53+0200\n"
+"Last-Translator: Eloy Cuadra <ecuadra@eloihr.net>\n"
+"Language-Team: Spanish <kde-l10n-es@kde.org>\n"
+"Language: es\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+"X-Generator: Lokalize 24.02.2\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Cortar"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Copiar"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Pegar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "No hay sugerencias para «%1»"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Añadir «%1» al diccionario"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ignorar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Comprobación ortográfica"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Deshacer"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Rehacer"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Cortar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Copiar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Pegar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Borrar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Seleccionar todo"
diff -pruN 6.0.0-1/poqm/eu/qqc2desktopstyle_qt.po 6.3.0-1/poqm/eu/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/eu/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/eu/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,101 @@
+# Translation for qqc2desktopstyle_qt.po to Euskara/Basque (eu).
+# Copyright (C) 2024 This file is copyright:
+# This file is distributed under the same license as the original file.
+# KDE euskaratzeko proiektuko arduraduna <xalba@ni.eus>.
+#
+# Translators:
+# SPDX-FileCopyrightText: 2024 Iñigo Salvador Azurmendi <xalba@ni.eus>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-03-08 18:31+0100\n"
+"Last-Translator: Iñigo Salvador Azurmendi <xalba@ni.eus>\n"
+"Language-Team: Basque <kde-i18n-eu@kde.org>\n"
+"Language: eu\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Lokalize 24.02.0\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+#, fuzzy
+#| msgctxt "TextFieldContextMenu|"
+#| msgid "Cut"
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Ebaki"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+#, fuzzy
+#| msgctxt "TextFieldContextMenu|"
+#| msgid "Copy"
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Kopiatu"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+#, fuzzy
+#| msgctxt "TextFieldContextMenu|"
+#| msgid "Paste"
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Itsatsi"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "\"%1\"(e)ri buruzko iradokizunik ez"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Gehitu \"%1\" hiztegira"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ezikusi"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Ortografia-egiaztatzea"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Desegin"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Berregin"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Ebaki"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Kopiatu"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Itsatsi"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Ezabatu"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Hautatu guztia"
diff -pruN 6.0.0-1/poqm/fr/qqc2desktopstyle_qt.po 6.3.0-1/poqm/fr/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/fr/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/fr/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Xavier Besnard <xavier.besnard@kde.org>
+msgid ""
+msgstr ""
+"Project-Id-Version: qqc2desktopstyle_qt\n"
+"PO-Revision-Date: 2024-05-13 08:58+0200\n"
+"Last-Translator: Xavier Besnard <xavier.besnard@kde.org>\n"
+"Language-Team: French <French <kde-francophone@kde.org>>\n"
+"Language: fr\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Lokalize 23.08.5\n"
+"X-Qt-Contexts: true\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Couper"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Copier"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Coller"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Aucune suggestion pour « %1 »"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Ajouter « %1 » au dictionnaire"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ignorer"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Vérifier l'orthographe"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Annuler"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Refaire"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Couper"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Copier"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Coller"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Supprimer"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Tout sélectionner"
diff -pruN 6.0.0-1/poqm/gl/qqc2desktopstyle_qt.po 6.3.0-1/poqm/gl/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/gl/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/gl/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Adrián Chaves (Gallaecio)
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-12 14:24+0200\n"
+"Last-Translator: Adrián Chaves (Gallaecio) <adrian@chaves.io>\n"
+"Language-Team: Proxecto Trasno (proxecto@trasno.gal)\n"
+"Language: gl\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+"X-Generator: Lokalize 24.02.2\n"
+"X-Qt-Contexts: true\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Cortar"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Copiar"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Pegar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Non hai suxestións para «%1»"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Engadir «%1» ao dicionario"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ignorar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Corrección ortográfica"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Desfacer"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Refacer"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Cortar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Copiar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Pegar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Eliminar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Seleccionalo todo"
diff -pruN 6.0.0-1/poqm/he/qqc2desktopstyle_qt.po 6.3.0-1/poqm/he/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/he/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/he/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,87 @@
+# SPDX-FileCopyrightText: 2024 Yaron Shahrabani <sh.yaron@gmail.com>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-10 20:15+0300\n"
+"Last-Translator: Yaron Shahrabani <sh.yaron@gmail.com>\n"
+"Language-Team: צוות התרגום של KDE ישראל\n"
+"Language: he\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=4; plural=(n == 1) ? 0 : ((n == 2) ? 1 : ((n > 10 && "
+"n % 10 == 0) ? 2 : 3));\n"
+"X-Generator: Lokalize 23.08.5\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "גזירה"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "העתקה"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "הדבקה"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "אין הצעות עבור „%1”"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "הוספת „%1” למילון"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "התעלמות"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "בדיקת איות"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "הסגה"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "החזרה"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "גזירה"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "העתקה"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "הדבקה"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "מחיקה"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "בחירה בהכול"
diff -pruN 6.0.0-1/poqm/hu/qqc2desktopstyle_qt.po 6.3.0-1/poqm/hu/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/hu/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/hu/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Kristof Kiszel <ulysses@fsf.hu>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-11 22:22+0200\n"
+"Last-Translator: Kristof Kiszel <ulysses@fsf.hu>\n"
+"Language-Team: Hungarian <kde-l10n-hu@kde.org>\n"
+"Language: hu\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Lokalize 24.02.2\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Kivágás"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Másolás"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Beillesztés"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Nincsenek javaslatok ehhez: „%1”"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "„%1” hozzáadása a szótárhoz"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Mellőzés"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Helyesírás-ellenőrzés"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Visszavonás"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Újra"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Kivágás"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Másolás"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Beillesztés"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Törlés"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Összes kijelölése"
diff -pruN 6.0.0-1/poqm/ia/qqc2desktopstyle_qt.po 6.3.0-1/poqm/ia/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/ia/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/ia/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# giovanni <g.sora@tiscali.it>, 2024.
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-10 12:51+0200\n"
+"Last-Translator: giovanni <g.sora@tiscali.it>\n"
+"Language-Team: Interlingua <kde-i18n-doc@kde.org>\n"
+"Language: ia\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+"X-Generator: Lokalize 22.12.3\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Talia"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Copia"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Colla"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Necun suggestion per \"%1\""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Adde \"%1\" al Dictionario"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ignora"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Controlo Orthographic"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Annulla"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Reface"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Talia"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Copia"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Colla"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Dele"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Selige toto"
diff -pruN 6.0.0-1/poqm/it/qqc2desktopstyle_qt.po 6.3.0-1/poqm/it/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/it/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/it/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Paolo Zamponi <feus73@gmail.com>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-14 15:46+0200\n"
+"Last-Translator: Paolo Zamponi <feus73@gmail.com>\n"
+"Language-Team: Italian <kde-i18n-it@kde.org>\n"
+"Language: it\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Lokalize 24.02.2\n"
+"X-Qt-Contexts: true\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Taglia"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Copia"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Incolla"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Nessun suggerimento per «%1»"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Aggiungi «%1» al dizionario"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ignora"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Controllo ortografico"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Annulla"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Rifai"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Taglia"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Copia"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Incolla"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Elimina"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Seleziona tutto"
diff -pruN 6.0.0-1/poqm/ka/qqc2desktopstyle_qt.po 6.3.0-1/poqm/ka/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/ka/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/ka/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"POT-Creation-Date: \n"
+"PO-Revision-Date: \n"
+"Last-Translator: Temuri Doghonadze <temuri.doghonadze@gmail.com>\n"
+"Language-Team: \n"
+"Language: ka\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Qt-Contexts: true\n"
+"X-Generator: Poedit 3.3.2\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "ამოჭრა"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "კოპირება"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "ჩასმა"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "\"%1\"-ისთვის მინიშნება არ არსებობს"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "\"%1-ის ჩამატება ლექსიკონში"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "გამოტოვება"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "მართლწერის შემოწმება"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "დაბრუნება"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "გამეორება"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "ამოჭრა"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "კოპირება"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "ჩასმა"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "წაშლა"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "ყველას მონიშვნა"
diff -pruN 6.0.0-1/poqm/lv/qqc2desktopstyle_qt.po 6.3.0-1/poqm/lv/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/lv/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/lv/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,96 @@
+# SPDX-FileCopyrightText: 2024 Toms Trasuns <toms.trasuns@posteo.net>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-04-05 15:40+0300\n"
+"Last-Translator: Toms Trasuns <toms.trasuns@posteo.net>\n"
+"Language-Team: Latvian <kde-i18n-doc@kde.org>\n"
+"Language: lv\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n != 0 ? 1 : "
+"2);\n"
+"X-Generator: Lokalize 23.08.5\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+#, fuzzy
+#| msgctxt "TextFieldContextMenu|"
+#| msgid "Cut"
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Izgriezt"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+#, fuzzy
+#| msgctxt "TextFieldContextMenu|"
+#| msgid "Copy"
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Kopēt"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+#, fuzzy
+#| msgctxt "TextFieldContextMenu|"
+#| msgid "Paste"
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Ielīmēt"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Nav ieteikumu vārdam „%1“"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Pievienot „%1“ vārdnīcai"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ignorēt"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Pareizrakstības pārbaude"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Atsaukt"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Atatsaukt"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Izgriezt"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Kopēt"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Ielīmēt"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Dzēst"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Atlasīt visu"
diff -pruN 6.0.0-1/poqm/nl/qqc2desktopstyle_qt.po 6.3.0-1/poqm/nl/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/nl/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/nl/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Freek de Kruijf <freekdekruijf@kde.nl>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-10 11:24+0200\n"
+"Last-Translator: Freek de Kruijf <freekdekruijf@kde.nl>\n"
+"Language-Team: \n"
+"Language: nl\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+"X-Generator: Lokalize 24.02.2\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Knippen"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Kopiëren"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Plakken"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Geen suggesties voor \"%1\""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "\"%1\" aan woordenboek toevoegen"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Negeren"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Spellingcontrole"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Ongedaan maken"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Opnieuw"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Knippen"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Kopiëren"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Plakken"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Verwijderen"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Alles selecteren"
diff -pruN 6.0.0-1/poqm/pl/qqc2desktopstyle_qt.po 6.3.0-1/poqm/pl/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/pl/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/pl/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Łukasz Wojniłowicz <lukasz.wojnilowicz@gmail.com>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-12 08:38+0200\n"
+"Last-Translator: Łukasz Wojniłowicz <lukasz.wojnilowicz@gmail.com>\n"
+"Language-Team: Polish <kde-i18n-doc@kde.org>\n"
+"Language: pl\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
+"|| n%100>=20) ? 1 : 2);\n"
+"X-Qt-Contexts: true\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Wytnij"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Skopiuj"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Wklej"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Brak podpowiedzi dla \"%1\""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Dodaj \"%1\" do słownika"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Pomiń"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Sprawdzanie pisowni"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Cofnij"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Przywróć"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Wytnij"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Skopiuj"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Wklej"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Usuń"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Zaznacz wszystko"
diff -pruN 6.0.0-1/poqm/sl/qqc2desktopstyle_qt.po 6.3.0-1/poqm/sl/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/sl/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/sl/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,88 @@
+# SPDX-FileCopyrightText: 2024 Matjaž Jeran <matjaz.jeran@amis.net>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"POT-Creation-Date: \n"
+"PO-Revision-Date: 2024-05-10 06:18+0200\n"
+"Last-Translator: Matjaž Jeran <matjaz.jeran@amis.net>\n"
+"Language-Team: Slovenian <lugos-slo@lugos.si>\n"
+"Language: sl\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=4; plural=(n%100==1 ? 0 : n%100==2 ? 1 : n%100>=3 && n"
+"%100<=4 ? 2 : 3);\n"
+"X-Qt-Contexts: true\n"
+"X-Generator: Poedit 3.4.2\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Izreži"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Kopiraj"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Prilepi"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Ni predlogov za \"%1\""
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Dodaj \"%1\" v slovar"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Prezri"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Črkovalnik"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Razveljavi"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Uveljavi"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Izreži"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Kopiraj"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Prilepi"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Izbriši"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Izberi vse"
diff -pruN 6.0.0-1/poqm/ta/qqc2desktopstyle_qt.po 6.3.0-1/poqm/ta/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/ta/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/ta/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Kishore G <kishore96@gmail.com>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-12 11:23+0530\n"
+"Last-Translator: Kishore G <kishore96@gmail.com>\n"
+"Language-Team: Tamil <kde-i18n-doc@kde.org>\n"
+"Language: ta\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+"X-Generator: Lokalize 24.02.2\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "வெட்டு"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "நகலெடு"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "ஒட்டு"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "\"%1 என்பதற்கு எதுவும் பரிந்துரைக்கப்படவில்லை"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "\"%1\" தனை அகரமுதலியில் சேர்"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "பொருட்படுத்தாதே"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "சொல் திருத்தி"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "செயல்நீக்கு"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "மீளச்செய்"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "வெட்டு"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "நகலெடு"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "ஒட்டு"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "நீக்கு"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "அனைத்தையும் தேர்ந்தெடு"
diff -pruN 6.0.0-1/poqm/tr/qqc2desktopstyle_qt.po 6.3.0-1/poqm/tr/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/tr/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/tr/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Emir SARI <emir_sari@icloud.com>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-10 13:51+0300\n"
+"Last-Translator: Emir SARI <emir_sari@icloud.com>\n"
+"Language-Team: Turkish <kde-l10n-tr@kde.org>\n"
+"Language: tr\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Lokalize 24.07.70\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Kes"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Kopyala"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Yapıştır"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "“%1” için Öneri Yok"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Sözlüğe Ekle: “%1”"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Yok Say"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Yazım Denetimi"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Geri Al"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Yinele"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Kes"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Kopyala"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Yapıştır"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Sil"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Tümünü Seç"
diff -pruN 6.0.0-1/poqm/uk/qqc2desktopstyle_qt.po 6.3.0-1/poqm/uk/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/uk/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/uk/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,87 @@
+# Yuri Chornoivan <yurchor@ukr.net>, 2024.
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-10 14:33+0300\n"
+"Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
+"Language-Team: Ukrainian\n"
+"Language: uk\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
+"%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
+"X-Generator: Lokalize 23.04.3\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "Вирізати"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "Копіювати"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "Вставити"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "Немає пропозицій щодо «%1»"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "Додати «%1» до словника"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "Ігнорувати"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "Перевірка правопису"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "Скасувати"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "Повторити"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "Вирізати"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "Копіювати"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "Вставити"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "Вилучити"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "Позначити все"
diff -pruN 6.0.0-1/poqm/zh_CN/qqc2desktopstyle_qt.po 6.3.0-1/poqm/zh_CN/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/zh_CN/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/zh_CN/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,89 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: kdeorg\n"
+"PO-Revision-Date: 2024-04-22 15:59\n"
+"Language-Team: Chinese Simplified\n"
+"Language: zh_CN\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+"X-Crowdin-Project: kdeorg\n"
+"X-Crowdin-Project-ID: 269464\n"
+"X-Crowdin-Language: zh-CN\n"
+"X-Crowdin-File: /kf6-trunk/messages/qqc2-desktop-style/qqc2desktopstyle_qt."
+"pot\n"
+"X-Crowdin-File-ID: 49498\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "剪切"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "复制"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "粘贴"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "没有关于“%1”的建议"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "添加“%1”到词典"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "忽略"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "拼写检查"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "撤销"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "重做"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "剪切"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "复制"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "粘贴"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "删除"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "全选"
diff -pruN 6.0.0-1/poqm/zh_TW/qqc2desktopstyle_qt.po 6.3.0-1/poqm/zh_TW/qqc2desktopstyle_qt.po
--- 6.0.0-1/poqm/zh_TW/qqc2desktopstyle_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/zh_TW/qqc2desktopstyle_qt.po	2024-05-31 13:29:31.000000000 +0000
@@ -0,0 +1,86 @@
+# SPDX-FileCopyrightText: 2024 Kisaragi Hiu <mail@kisaragi-hiu.com>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-05-10 16:05+0900\n"
+"Last-Translator: Kisaragi Hiu <mail@kisaragi-hiu.com>\n"
+"Language-Team: Traditional Chinese <zh-l10n@lists.slat.org>\n"
+"Language: zh_TW\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+"X-Generator: Lokalize 24.04.70\n"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:59
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Cut"
+msgstr "剪下"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:69
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Copy"
+msgstr "複製"
+
+#: org.kde.desktop/private/MobileTextActionsToolBarImpl.qml:79
+msgctxt "MobileTextActionsToolBarImpl|"
+msgid "Paste"
+msgstr "貼上"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:196
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "No Suggestions for \"%1\""
+msgstr "沒有 \"%1\" 的建議"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:210
+#, qt-format
+msgctxt "TextFieldContextMenu|"
+msgid "Add \"%1\" to Dictionary"
+msgstr "將 \"%1\" 加到字典中"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:226
+msgctxt "TextFieldContextMenu|"
+msgid "Ignore"
+msgstr "忽略"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:241
+msgctxt "TextFieldContextMenu|"
+msgid "Spell Check"
+msgstr "拼字檢查"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:258
+msgctxt "TextFieldContextMenu|"
+msgid "Undo"
+msgstr "復原"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:273
+msgctxt "TextFieldContextMenu|"
+msgid "Redo"
+msgstr "重做"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:291
+msgctxt "TextFieldContextMenu|"
+msgid "Cut"
+msgstr "剪下"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:306
+msgctxt "TextFieldContextMenu|"
+msgid "Copy"
+msgstr "複製"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:321
+msgctxt "TextFieldContextMenu|"
+msgid "Paste"
+msgstr "貼上"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:336
+msgctxt "TextFieldContextMenu|"
+msgid "Delete"
+msgstr "刪除"
+
+#: org.kde.desktop/private/TextFieldContextMenu.qml:355
+msgctxt "TextFieldContextMenu|"
+msgid "Select All"
+msgstr "全部選取"
